/****** Object:  User [SmartOffice]    Script Date: 03/30/2015 21:00:23 ******/
CREATE USER [SmartOffice] FOR LOGIN [BUILTIN\Users]
GO
EXEC sp_addrolemember N'db_owner', N'SmartOffice'
GO

/****** Object:  Table [dbo].[WebSMSSettings]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[WebSMSSettings](
	[IsAllInOut] [int] NULL,
	[AllInOutStatus] [varchar](50) NULL,
	[AllInOutLastRun] [varchar](50) NULL,
	[IsPresent] [int] NULL,
	[PresentScheduleTime] [varchar](50) NULL,
	[PresentCurrentStatus] [varchar](50) NULL,
	[PresentLastRun] [varchar](50) NULL,
	[IsAbsent] [int] NULL,
	[AbsentScheduleTime] [varchar](50) NULL,
	[AbsentCurrentStatus] [varchar](50) NULL,
	[AbsenttLastRun] [varchar](50) NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Vacancies]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Vacancies](
	[VacancyId] [int] IDENTITY(1,1) NOT NULL,
	[JobTitleId] [int] NULL,
	[VacancyName] [varchar](50) NULL,
	[HiringManagerId] [int] NULL,
	[NumberOfPosition] [int] NULL,
	[Description] [varchar](500) NULL,
	[IsActive] [int] NULL,
 CONSTRAINT [Vacancies_PK] PRIMARY KEY CLUSTERED 
(
	[VacancyId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[UsersFP]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[UsersFP](
	[UsersFPId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeeCodeInDevice] [varchar](255) NULL,
	[BioVersion] [varchar](50) NULL,
	[FID] [int] NULL,
	[FingerPrint] [ntext] NULL,
 CONSTRAINT [UsersFP_PK] PRIMARY KEY CLUSTERED 
(
	[UsersFPId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[UserPermissions]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[UserPermissions](
	[UserPermissionId] [int] IDENTITY(1,1) NOT NULL,
	[UserId] [int] NOT NULL,
	[PermissionId] [int] NOT NULL,
 CONSTRAINT [PK_UserPermissions] PRIMARY KEY CLUSTERED 
(
	[UserPermissionId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[UserCompanies]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[UserCompanies](
	[UserCompanyId] [int] IDENTITY(1,1) NOT NULL,
	[UserId] [int] NOT NULL,
	[CompanyId] [int] NOT NULL,
 CONSTRAINT [PK_UserCompanies] PRIMARY KEY CLUSTERED 
(
	[UserCompanyId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Training]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Training](
	[TrainingId] [int] IDENTITY(1,1) NOT NULL,
	[CourseName] [varchar](50) NULL,
	[CompanyId] [int] NULL,
	[DateSchedule] [datetime] NULL,
	[CoordinatorId] [int] NULL,
	[Status] [varchar](50) NULL,
	[TrainingTime] [varchar](50) NULL,
	[Location] [varchar](50) NULL,
	[Description] [varchar](500) NULL,
 CONSTRAINT [Training_PK] PRIMARY KEY CLUSTERED 
(
	[TrainingId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TimeSheetHours]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TimeSheetHours](
	[TimeSheetHoursId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeesTimeSheetId] [int] NULL,
	[ProjectId] [int] NULL,
	[ProjectActivityId] [int] NULL,
	[MondayHour] [int] NULL,
	[TuesdayHour] [int] NULL,
	[WednesdayHour] [int] NULL,
	[ThursdayHour] [int] NULL,
	[FridayHour] [int] NULL,
	[SaturdayHour] [int] NULL,
	[SundayHour] [int] NULL,
 CONSTRAINT [TimeSheetHours_PK] PRIMARY KEY CLUSTERED 
(
	[TimeSheetHoursId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[SystemUsers]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[SystemUsers](
	[UserId] [int] IDENTITY(1,1) NOT NULL,
	[LoginName] [nvarchar](50) NOT NULL,
	[LoginPassword] [nvarchar](50) NULL,
	[RoleName] [nvarchar](255) NULL,
	[IsAdmin] [int] NOT NULL,
	[RecordStatus] [int] NULL,
	[AccessI] [int] NULL,
	[LastLogin]     VARCHAR (50)   NULL,
 CONSTRAINT [PK_Users] PRIMARY KEY CLUSTERED 
(
	[UserId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[SMSSettings]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[SMSSettings](
	[IsSMSRequired] [int] NULL,
	[SMSText] [varchar](255) NULL,
	[IsFirstIn] [int] NULL,
	[FirstInCutOffTime] [varchar](50) NULL,
	[IsLastOut] [int] NULL,
	[LastOutCutOffTime] [varchar](50) NULL,
	[UserName] [varchar](50) NULL,
	[SMSPassword] [varchar](50) NULL,
	[SenderId] [varchar](50) NULL,
	[IsAllInOutPunches] [int] NULL,
	[SMSURL] [nvarchar](1000) NULL,
	[FirstInText] [nvarchar](1000) NULL,
	[LastOutText] [nvarchar](1000) NULL,
	[AllInOutText] [nvarchar](1000) NULL,
	[NoPunchesText] [nvarchar](1000) NULL,
	[PresentText] [nvarchar](1000) NULL,
	[AbsentText] [nvarchar](1000) NULL,
	[SuccessStatusValue] [varchar](50) NULL,
	[AppStatus] [varchar](50) NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Shifts]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Shifts](
	[ShiftId] [int] IDENTITY(1,1) NOT NULL,
	[ShiftName] [nvarchar](50) NOT NULL,
	[ShiftCode] [nvarchar](50) NOT NULL,
	[BeginTime] [nvarchar](50) NOT NULL,
	[EndTime] [nvarchar](50) NOT NULL,
	[Break1] [int] NOT NULL,
	[Break2] [int] NOT NULL,
	[Break1BeginTime] [nvarchar](50) NOT NULL,
	[Break2BeginTime] [nvarchar](50) NOT NULL,
	[Break1EndTime] [nvarchar](50) NOT NULL,
	[Break2EndTime] [nvarchar](50) NOT NULL,
	[ShiftDuration] [int] NOT NULL,
	[Break1Duration] [int] NOT NULL,
	[Break2Duration] [int] NOT NULL,
	[ShiftType] [nvarchar](50) NOT NULL,
	[RecordStatus] [int] NOT NULL,
	[PunchBeginDuration] [int] NOT NULL,
	[PunchEndDuration] [int] NOT NULL,
	[IsGraceTimeApplicable] [int] NOT NULL,
	[GraceTime] [nvarchar](255) NOT NULL,
	[IsPartialDayApplicable] [int] NOT NULL,
	[PartialDay] [nvarchar](255) NOT NULL,
	[PartialDayBeginTime] [nvarchar](255) NOT NULL,
	[PartialDayEndTime] [nvarchar](255) NOT NULL,
	[IsPunchBeginDuration] [int] NULL,
	[IsPunchEndDuration] [int] NULL,
	[IsMarkHalfDayTime] [int] NULL,
	[HalfDayDays] [varchar](50) NULL,
	[MarkHalfDayTime] [varchar](50) NULL,
	[IsFlexiShiftEndNextDay]   INT            NULL,
    [FlexiShiftNextDayEndTime] VARCHAR (50)   NULL,
    [IsPartialDay2Applicable]  INT            NULL,
    [PartialDay2]              NVARCHAR (50)  NULL,
    [HalfDay2Days]             NVARCHAR (50)  NULL,
    [ShiftScheduleType]        VARCHAR (50)   NULL,
    [FlexiShiftDuration]       INT            NULL,
    [FlexiShiftBreakDuration]  INT            NULL,
    [HalfDayStartFrom]         VARCHAR (50)   NULL,
    [HalfDayGraceTime]         INT            NULL,
 CONSTRAINT [PK_Shifts] PRIMARY KEY CLUSTERED 
(
	[ShiftId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[ShiftRosterShifts]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[ShiftRosterShifts](
	[ShiftRosterShiftId] [int] IDENTITY(1,1) NOT NULL,
	[ShiftRotationMasterId] [int] NULL,
	[ShiftDate] [datetime] NULL,
	[ShiftId] [int] NULL,
 CONSTRAINT [ShiftRosterShifts_PK] PRIMARY KEY CLUSTERED 
(
	[ShiftRosterShiftId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[ShiftRoster]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[ShiftRoster](
	[ShiftRotationMasterId] [int] IDENTITY(1,1) NOT NULL,
	[ShiftRotationMasterName] [varchar](50) NULL,
	[BeginDay] [datetime] NULL,
	[EndDay] [datetime] NULL,
	[SHIFTROTATIONTYPE] [varchar](50) NULL,
	[MondayShiftId] [int] NULL,
	[TuesdayShiftId] [int] NULL,
	[WednesdayShiftId] [int] NULL,
	[ThursdayShiftId] [int] NULL,
	[FridayShiftId] [int] NULL,
	[SaturdayShiftId] [int] NULL,
	[SundayShiftId] [int] NULL,
	[ShiftId1] [int] NULL,
	[ShiftId2] [int] NULL,
	[ShiftId3] [int] NULL,
	[ShiftId4] [int] NULL,
	[ShiftId5] [int] NULL,
	[ShiftId6] [int] NULL,
	[ShiftId7] [int] NULL,
	[ShiftId8] [int] NULL,
	[ShiftId9] [int] NULL,
	[ShiftId10] [int] NULL,
	[ShiftId20] [int] NULL,
	[ShiftId19] [int] NULL,
	[ShiftId18] [int] NULL,
	[ShiftId17] [int] NULL,
	[ShiftId16] [int] NULL,
	[ShiftId15] [int] NULL,
	[ShiftId14] [int] NULL,
	[ShiftId13] [int] NULL,
	[ShiftId12] [int] NULL,
	[ShiftId11] [int] NULL,
	[ShiftId30] [int] NULL,
	[ShiftId29] [int] NULL,
	[ShiftId28] [int] NULL,
	[ShiftId27] [int] NULL,
	[ShiftId26] [int] NULL,
	[ShiftId25] [int] NULL,
	[ShiftId24] [int] NULL,
	[ShiftId23] [int] NULL,
	[ShiftId22] [int] NULL,
	[ShiftId21] [int] NULL,
	[ShiftId31] [int] NULL,
	[WeeklyOff1] [int] NULL,
	[WeeklyOff2] [int] NULL,
	[WeeklyOff1Day] [varchar](50) NULL,
	[WeeklyOff2Day] [varchar](50) NULL,
	[WeeklyOff2Occurrence] [varchar](50) NULL,
 CONSTRAINT [PK_ShiftRoster] PRIMARY KEY CLUSTERED 
(
	[ShiftRotationMasterId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO

CREATE TABLE [dbo].[ShiftGroups](
	[ShiftGroupId]   INT            IDENTITY (1, 1) NOT NULL,
    [ShiftGroupCode] VARCHAR (50)   NULL,
    [Description]    VARCHAR (1000) NULL,
    [ShiftGroupName] VARCHAR (50)   NULL,
    [ShiftIds]       VARCHAR (200)  NULL
 CONSTRAINT [ShiftGroups_PK] PRIMARY KEY CLUSTERED 
(
	[ShiftGroupId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Projects]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Projects](
	[ProjectId] [int] IDENTITY(1,1) NOT NULL,
	[CustomerId] [int] NULL,
	[ProjectName] [varchar](50) NULL,
	[ProjectAdminId] [int] NULL,
	[Description] [varchar](500) NULL,
 CONSTRAINT [Projects_PK] PRIMARY KEY CLUSTERED 
(
	[ProjectId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[ProjectActivity]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[ProjectActivity](
	[ProjectActivityId] [int] IDENTITY(1,1) NOT NULL,
	[ProjectId] [int] NULL,
	[ActivityName] [varchar](50) NULL,
	[Description] [varchar](500) NULL,
 CONSTRAINT [ProjectActivity_PK] PRIMARY KEY CLUSTERED 
(
	[ProjectActivityId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Permissions]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Permissions](
	[PermissionId] [int] NOT NULL,
	[Permission] [nvarchar](255) NOT NULL,
	[ParentId] [int] NOT NULL,
 CONSTRAINT [PK__Permissi__EFA6FB2F412EB0B6] PRIMARY KEY CLUSTERED 
(
	[PermissionId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[ParallelDatabaseExportDetails]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[ParallelDatabaseExportDetails](
	[IsParallelDatabaseExport] [int] NULL,
	[DatabaseType] [varchar](255) NULL,
	[Authentication] [varchar](255) NULL,
	[DatabaseServer] [varchar](255) NULL,
	[DatabaseName] [varchar](255) NULL,
	[UserName] [varchar](255) NULL,
	[DatabasePassword] [varchar](255) NULL,
	[ServiceName] [varchar](255) NULL,
	[PortNumber] [varchar](255) NULL,
	[FilePath] [varchar](255) NULL,
	[TableNameMappedField] [varchar](255) NULL,
	[EmployeeCodeMappedField] [varchar](255) NULL,
	[EmployeeCodeLength] [varchar](255) NULL,
	[IsEmployeeCodePrefix] [int] NULL,
	[EmployeeCodePrefixText] [varchar](255) NULL,
	[LogDateMappedField] [varchar](255) NULL,
	[LogDateFormat] [varchar](255) NULL,
	[PunchDirectionMappedField] [varchar](255) NULL,
	[PunchDirectionInName] [varchar](255) NULL,
	[PunchDirectionOutName] [varchar](255) NULL,
	[WorkCodeMappedField] [varchar](255) NULL,
	[DownloadDateMappedField] [varchar](255) NULL,
	[DownloadDateFormat] [varchar](255) NULL,
	[ReservedField1MappedField] [varchar](255) NULL,
	[ReservedField1MappedFieldValue] [varchar](255) NULL,
	[ReservedField2MappedField] [varchar](255) NULL,
	[ReservedField2MappedFieldValue] [varchar](255) NULL,
	[ReservedField3MappedField] [varchar](255) NULL,
	[ReservedField3MappedFieldValue] [varchar](255) NULL,
	[LogTimeMappedField] [varchar](50) NULL,
	[LogTimeFormat] [varchar](50) NULL,
	[LogDateTimeMappedField] [varchar](50) NULL,
	[LogDateTimeFormat] [varchar](50) NULL,
	[RFIDMappedField] [varchar](50) NULL,
	[DeviceNameMappedField] [varchar](50) NULL,
	[DeviceIdMappedField] [varchar](50) NULL,
	[DeviceIdPrefixLength] [int] NULL,
	[DeviceIdPrefixText] [varchar](1) NULL,
	[RFIDNoWithIssueNoMappedField] [varchar](50) NULL,
	[RFIDIssueNoMappedField] [varchar](50) NULL,
	[EmpCodeFieldName] [varchar](50) NULL,
	[IsEmpCodePrefixText] [int] NULL,
	[EmpCodePrefixLength] [int] NULL,
	[EmpCodePrefixText] [varchar](1) NULL,
	[IsEmpDeviceCodeUnique] [int] NULL,
	[IsEmpCodeUnique] [int] NULL,
	[IsLogDateUnique] [int] NULL,
	[IsLogTimeUnique] [int] NULL,
	[IsLogDateTimeUnique] [int] NULL,
	[IsRFIDUnique] [int] NULL,
	[IsRFIDNoWithIssueNoUnique] [int] NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[MultiShifts]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[MultiShifts](
	[MultiShiftId] [int] IDENTITY(1,1) NOT NULL,
	[MultiShiftName] [varchar](50) NULL,
	[MultiShiftCode] [varchar](50) NULL,
	[MultiShiftBeginTime] [varchar](50) NULL,
	[MultiShiftEndTime] [varchar](50) NULL,
	[MultiShiftDuration] [int] NULL,
	[RecordStatus] [int] NULL,
	[PunchBeginDuration] [int] NULL,
	[PunchEndDuration] [int] NULL,
	[IsGraceTimeApplicable] [int] NULL,
	[GraceTime] [varchar](50) NULL,
	[IsPunchBeginDuration] [int] NULL,
	[IsPunchEndDuration] [int] NULL,
	 [MultiShiftGroupId]     INT          NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[MultiShiftEmployeeShift]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[MultiShiftEmployeeShift](
	[MultiShiftEmployeeShiftId] [int] IDENTITY(1,1) NOT NULL,
	[MultiShiftId1] [int] NULL,
	[MultiShiftId2] [int] NULL,
	[MultiShiftId3] [int] NULL,
	[MultiShiftId4] [int] NULL,
	[MultiShiftId5] [int] NULL,
	[MultiShiftId6] [int] NULL,
	[MultiShiftId7] [int] NULL,
	[MultiShiftId8] [int] NULL,
	[MultiShiftId9] [int] NULL,
	[EmployeeId] [int] NULL,
	[Shiftdate] [datetime] NULL,
	[LastModifiedBy] [varchar](50) NULL,
	[ToDate] [datetime] NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[MultiShiftDepartmentShift]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[MultiShiftDepartmentShift](
	[MultiShiftDepartmentShiftId] [int] IDENTITY(1,1) NOT NULL,
	[MultiShiftId1] [int] NULL,
	[MultiShiftId2] [int] NULL,
	[MultiShiftId3] [int] NULL,
	[MultiShiftId4] [int] NULL,
	[MultiShiftId5] [int] NULL,
	[MultiShiftId6] [int] NULL,
	[MultiShiftId7] [int] NULL,
	[MultiShiftId8] [int] NULL,
	[MultiShiftId9] [int] NULL,
	[DepartmentId] [int] NULL,
	[Shiftdate] [datetime] NULL,
	[LastModifiedBy] [varchar](50) NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[MultiShiftAttendanceLogs]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[MultiShiftAttendanceLogs] (
    [MultiShiftAttendanceLogsId]    INT            IDENTITY (1, 1) NOT NULL,
    [AttendanceDate]                DATETIME       NULL,
    [EmployeeId]                    INT            NULL,
    [MultiShiftId1]                 INT            NULL,
    [MultiShiftId1InTime]           NVARCHAR (200) NULL,
    [MultiShiftId1InDeviceId]       INT            NULL,
    [MultiShiftId1OutTime]          NVARCHAR (200) NULL,
    [MultiShiftId1OutDeviceId]      INT            NULL,
    [MultiShiftId1Duration]         NVARCHAR (200) NULL,
    [MultiShiftId1LateBy]           NVARCHAR (200) NULL,
    [MultiShiftId1EarlyBy]          NVARCHAR (200) NULL,
    [MultiShiftId2]                 INT            NULL,
    [MultiShiftId2InTime]           NVARCHAR (200) NULL,
    [MultiShiftId2InDeviceId]       INT            NULL,
    [MultiShiftId2OutTime]          NVARCHAR (200) NULL,
    [MultiShiftId2OutDeviceId]      INT            NULL,
    [MultiShiftId2Duration]         NVARCHAR (200) NULL,
    [MultiShiftId2LateBy]           NVARCHAR (200) NULL,
    [MultiShiftId2EarlyBy]          NVARCHAR (200) NULL,
    [MultiShiftId3]                 INT            NULL,
    [MultiShiftId3InTime]           NVARCHAR (200) NULL,
    [MultiShiftId3InDeviceId]       INT            NULL,
    [MultiShiftId3OutTime]          NVARCHAR (200) NULL,
    [MultiShiftId3OutDeviceId]      INT            NULL,
    [MultiShiftId3Duration]         NVARCHAR (200) NULL,
    [MultiShiftId3LateBy]           NVARCHAR (200) NULL,
    [MultiShiftId3EarlyBy]          NVARCHAR (200) NULL,
    [MultiShiftId4]                 INT            NULL,
    [MultiShiftId4InTime]           NVARCHAR (200) NULL,
    [MultiShiftId4InDeviceId]       INT            NULL,
    [MultiShiftId4OutTime]          NVARCHAR (200) NULL,
    [MultiShiftId4OutDeviceId]      INT            NULL,
    [MultiShiftId4Duration]         NVARCHAR (200) NULL,
    [MultiShiftId4LateBy]           NVARCHAR (200) NULL,
    [MultiShiftId4EarlyBy]          NVARCHAR (200) NULL,
    [MultiShiftId5]                 INT            NULL,
    [MultiShiftId5InTime]           NVARCHAR (200) NULL,
    [MultiShiftId5InDeviceId]       INT            NULL,
    [MultiShiftId5OutTime]          NVARCHAR (200) NULL,
    [MultiShiftId5OutDeviceId]      INT            NULL,
    [MultiShiftId5Duration]         NVARCHAR (200) NULL,
    [MultiShiftId5LateBy]           NVARCHAR (200) NULL,
    [MultiShiftId5EarlyBy]          NVARCHAR (200) NULL,
    [MultiShiftId6]                 INT            NULL,
    [MultiShiftId6InTime]           NVARCHAR (200) NULL,
    [MultiShiftId6InDeviceId]       INT            NULL,
    [MultiShiftId6OutTime]          NVARCHAR (200) NULL,
    [MultiShiftId6OutDeviceId]      INT            NULL,
    [MultiShiftId6Duration]         NVARCHAR (200) NULL,
    [MultiShiftId6LateBy]           NVARCHAR (200) NULL,
    [MultiShiftId6EarlyBy]          NVARCHAR (200) NULL,
    [MultiShiftId7]                 INT            NULL,
    [MultiShiftId7InTime]           NVARCHAR (200) NULL,
    [MultiShiftId7InDeviceId]       INT            NULL,
    [MultiShiftId7OutTime]          NVARCHAR (200) NULL,
    [MultiShiftId7OutDeviceId]      INT            NULL,
    [MultiShiftId7Duration]         NVARCHAR (200) NULL,
    [MultiShiftId7LateBy]           NVARCHAR (200) NULL,
    [MultiShiftId7EarlyBy]          NVARCHAR (200) NULL,
    [MultiShiftId8]                 INT            NULL,
    [MultiShiftId8InTime]           NVARCHAR (200) NULL,
    [MultiShiftId8InDeviceId]       INT            NULL,
    [MultiShiftId8OutTime]          NVARCHAR (200) NULL,
    [MultiShiftId8OutDeviceId]      INT            NULL,
    [MultiShiftId8Duration]         NVARCHAR (200) NULL,
    [MultiShiftId8LateBy]           NVARCHAR (200) NULL,
    [MultiShiftId8EarlyBy]          NVARCHAR (200) NULL,
    [MultiShiftId9]                 INT            NULL,
    [MultiShiftId9InTime]           NVARCHAR (200) NULL,
    [MultiShiftId9InDeviceId]       INT            NULL,
    [MultiShiftId9OutTime]          NVARCHAR (200) NULL,
    [MultiShiftId9OutDeviceId]      INT            NULL,
    [MultiShiftId9Duration]         NVARCHAR (200) NULL,
    [MultiShiftId9LateBy]           NVARCHAR (200) NULL,
    [MultiShiftId9EarlyBy]          NVARCHAR (200) NULL,
    [IsOnLeave]                     NVARCHAR (200) NULL,
    [LeaveTypeId]                   INT            NULL,
    [LeaveType]                     NVARCHAR (200) NULL,
    [LeaveDuration]                 NVARCHAR (200) NULL,
    [LeaveStatus]                   NVARCHAR (200) NULL,
    [LeaveRemarks]                  NVARCHAR (200) NULL,
    [IsonSpecialOff]                NVARCHAR (200) NULL,
    [SpecialOffType]                NVARCHAR (200) NULL,
    [SpecialOffRemark]              NVARCHAR (200) NULL,
    [SpecialOffDuration]            NVARCHAR (200) NULL,
    [WeeklyOff]                     NVARCHAR (200) NULL,
    [Holiday]                       NVARCHAR (200) NULL,
    [PunchRecords]                  VARCHAR (4000) NULL,
    [PunchDirections]               VARCHAR (4000) NULL,
    [PunchDevicesName]              VARCHAR (4000) NULL,
    [Present]                       NVARCHAR (200) NULL,
    [Absent]                        NVARCHAR (200) NULL,
    [OverTime]                      NVARCHAR (200) NULL,
    [OverTimeE]                     NVARCHAR (200) NULL,
    [MissedOutPunch]                NVARCHAR (200) NULL,
    [MissedInPunch]                 NVARCHAR (200) NULL,
    [Remarks]                       NVARCHAR (200) NULL,
    [IsOnRestrictedHoliday]         NVARCHAR (200) NULL,
    [IsOnCompOff]                   NVARCHAR (200) NULL,
    [ReportPunchRecords]            VARCHAR (4000) NULL,
    [MultiShift1PunchRecords]       NVARCHAR (200) NULL,
    [MultiShift2PunchRecords]       NVARCHAR (200) NULL,
    [MultiShift3PunchRecords]       NVARCHAR (200) NULL,
    [MultiShift4PunchRecords]       NVARCHAR (200) NULL,
    [MultiShift5PunchRecords]       NVARCHAR (200) NULL,
    [MultiShift6PunchRecords]       NVARCHAR (200) NULL,
    [MultiShift7PunchRecords]       NVARCHAR (200) NULL,
    [MultiShift8PunchRecords]       NVARCHAR (200) NULL,
    [MultiShift9PunchRecords]       NVARCHAR (200) NULL,
    [MultiShift1Remarks]            NVARCHAR (200) NULL,
    [MultiShift1StatusCode]         NVARCHAR (200) NULL,
    [MultiShift1DetailedStatusCode] NVARCHAR (200) NULL,
    [MultiShift1Status]             NVARCHAR (200) NULL,
    [MultiShift1DetailedStatus]     NVARCHAR (200) NULL,
    [MultiShift2Remarks]            NVARCHAR (200) NULL,
    [MultiShift2StatusCode]         NVARCHAR (200) NULL,
    [MultiShift2DetailedStatusCode] NVARCHAR (200) NULL,
    [MultiShift2Status]             NVARCHAR (200) NULL,
    [MultiShift2DetailedStatus]     NVARCHAR (200) NULL,
    [MultiShift3Remarks]            NVARCHAR (200) NULL,
    [MultiShift3StatusCode]         NVARCHAR (200) NULL,
    [MultiShift3DetailedStatusCode] NVARCHAR (200) NULL,
    [MultiShift3Status]             NVARCHAR (200) NULL,
    [MultiShift3DetailedStatus]     NVARCHAR (200) NULL,
    [MultiShift4Remarks]            NVARCHAR (200) NULL,
    [MultiShift4StatusCode]         NVARCHAR (200) NULL,
    [MultiShift4DetailedStatusCode] NVARCHAR (200) NULL,
    [MultiShift4Status]             NVARCHAR (200) NULL,
    [MultiShift4DetailedStatus]     NVARCHAR (200) NULL,
    [MultiShift5Remarks]            NVARCHAR (200) NULL,
    [MultiShift5StatusCode]         NVARCHAR (200) NULL,
    [MultiShift5DetailedStatusCode] NVARCHAR (200) NULL,
    [MultiShift5Status]             NVARCHAR (200) NULL,
    [MultiShift5DetailedStatus]     NVARCHAR (200) NULL,
    [MultiShift6Remarks]            NVARCHAR (200) NULL,
    [MultiShift6StatusCode]         NVARCHAR (200) NULL,
    [MultiShift6DetailedStatusCode] NVARCHAR (200) NULL,
    [MultiShift6Status]             NVARCHAR (200) NULL,
    [MultiShift6DetailedStatus]     NVARCHAR (200) NULL,
    [MultiShift7Remarks]            NVARCHAR (200) NULL,
    [MultiShift7StatusCode]         NVARCHAR (200) NULL,
    [MultiShift7DetailedStatusCode] NVARCHAR (200) NULL,
    [MultiShift7Status]             NVARCHAR (200) NULL,
    [MultiShift7DetailedStatus]     NVARCHAR (200) NULL,
    [MultiShift8Remarks]            NVARCHAR (200) NULL,
    [MultiShift8StatusCode]         NVARCHAR (200) NULL,
    [MultiShift8DetailedStatusCode] NVARCHAR (200) NULL,
    [MultiShift8Status]             NVARCHAR (200) NULL,
    [MultiShift8DetailedStatus]     NVARCHAR (200) NULL,
    [MultiShift9Remarks]            NVARCHAR (200) NULL,
    [MultiShift9StatusCode]         NVARCHAR (200) NULL,
    [MultiShift9DetailedStatusCode] NVARCHAR (200) NULL,
    [MultiShift9Status]             NVARCHAR (200) NULL,
    [MultiShift9DetailedStatus]     NVARCHAR (200) NULL
);
GO
/****** Object:  Table [dbo].[MessageLogs]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[MessageLogs](
	[MessageLogId] [int] IDENTITY(1,1) NOT NULL,
	[DownloadDate] [datetime] NULL,
	[EmployeeCode] [nvarchar](50) NULL,
	[MessageText] [nvarchar](500) NULL,
	[Status] [nvarchar](500) NULL,
	[IsSuccess] [int] NULL,
	[LogDate] [varchar](50) NULL,
	[SMSLogMobileNumber] [varchar](50) NULL,
 CONSTRAINT [PK_MessageLogs] PRIMARY KEY CLUSTERED 
(
	[MessageLogId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[MasterSettings]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[MasterSettings](
	[MasterDetailsId] [int] IDENTITY(1,1) NOT NULL,
	[IsAlphaNumericEmployeeCode] [int] NOT NULL,
	[IsFixedShift] [int] NOT NULL,
	[ShiftBeginTime] [nvarchar](255) NULL,
	[ShiftEndTime] [nvarchar](255) NULL,
	[IsDeviceCodeSame] [int] NOT NULL,
	[AttendanceYearStartOn] [nvarchar](255) NULL,
	[LiecenceKey] [nvarchar](255) NULL,
	[PunchBeginDuration] [int] NULL,
	[Version] [nvarchar](50) NULL,
	[MinDiffBetweenTwoPunch] [int] NULL,
	[IsAutoShift] [int] NULL,
	[MemoLateEarlySubject] [nvarchar](4000) NULL,
	[MemoMissedPunchSubject] [nvarchar](4000) NULL,
	[MemoSignature] [nvarchar](4000) NULL,
	[MemoAbsentText] [nvarchar](4000) NULL,
	[MemoLateEarlyText] [nvarchar](4000) NULL,
	[MemoMissedPunchText] [nvarchar](4000) NULL,
	[MemoAbsentSubject] [nvarchar](2000) NULL,
	[MemoHalfDayForLateEarlySubject] [nvarchar](4000) NULL,
	[MemoHalfDayForLateEarlyText] [nvarchar](4000) NULL,
	[TrialDate] [varchar](50) NULL,
	[IsAutoBackUp] [int] NULL,
	[AutoBackuppath] [varchar](255) NULL,
	[BackupDays] [int] NULL,
	[LastBackupDate] [datetime] NULL,
	[RestrictedHolidayLimit] [int] NULL,
	[Duration_LateBy_EarlyByInMins] [int] NULL,
	[EmployeePhotoRepository] [varchar](500) NULL,
	[EmployeeDocumentRepository] [varchar](500) NULL,
	[WEBURL] [varchar](500) NULL,
	[IsUsePushDataCollectorService] [int] NULL,
	[IsTheoriticalSalaryHeadsWorking] [int] NULL,
	[CloudCompanyName] [varchar](500) NULL,
	[CloudURL] [varchar](500) NULL,
	 [ODAppliedBeforeDays]             INT             NULL,
    [IsLockAttendance]                INT             NULL,
    [AttendanceLockOn]                INT             NULL,
    [QuarterDayLeaveDuration]         INT             NULL,
    [DEFAULTGROUPBYREPORTS]           VARCHAR (50)    NULL,
    [IsBackgroundLeaveRunning]        INT             NULL,
    [OptionalHolidayType]             VARCHAR (50)    NULL,
    [IsDeluserMaAsDeorResi]           INT             NULL,
    [CalcAutoShiftAsPer]              VARCHAR (50)    NULL,
    [IsSendRealTimeMail]              INT             NULL,
    [IsShowDailyCustomReport1]        INT             NULL,
    [IsShowDailyCustomReport2]        INT             NULL,
    [IsShowDailyCustomReport3]        INT             NULL,
    [IsShowMonthlyCustomReport1]      INT             NULL,
    [IsShowMonthlyCustomReport2]      INT             NULL,
    [IsShowMonthlyCustomReport3]      INT             NULL,
    [DailyCustomizeReport1Name]       VARCHAR (50)    NULL,
    [DailyCustomizeReport2Name]       VARCHAR (50)    NULL,
    [DailyCustomizeReport3Name]       VARCHAR (50)    NULL,
    [MonthlyCustomizeReport1Name]     VARCHAR (50)    NULL,
    [MonthlyCustomizeReport2Name]     VARCHAR (50)    NULL,
    [MonthlyCustomizeReport3Name]     VARCHAR (50)    NULL,
	
 CONSTRAINT [PK_MasterSettings] PRIMARY KEY CLUSTERED 
(
	[MasterDetailsId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[MailDetails]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[MailDetails](
	[MaildetailsId] [int] IDENTITY(1,1) NOT NULL,
	[email] [varchar](50) NULL,
	[SMTPHost] [varchar](50) NULL,
	[Port] [varchar](50) NULL,
	[EnableSSL] [int] NULL,
	[SMTPUserName] [varchar](50) NULL,
	[SMTPPassword] [varchar](50) NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[LeaveTypes]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[LeaveTypes](
	[LeaveTypeId] [int] IDENTITY(1,1) NOT NULL,
	[LeaveTypeName] [varchar](255) NULL,
	[LeaveTypeCode] [varchar](255) NULL,
	[CarryForwardLimit] [float] NULL,
	[Gender] [varchar](255) NULL,
	[YearlyLimit] [float] NULL,
	[Description] [varchar](255) NULL,
	[IsAllowNegativeBalance] [int] NULL,
	[RecordStatus] [int] NULL,
	[AllotOnMonthDay] [varchar](50) NULL,
	[AllotmentType] [varchar](50) NULL,
	[IsLeaveEncashment] [int] NULL,
	[LeaveEncashmentMinBalance] [float] NULL,
	[IsLossOfPay] [int] NULL,
	[AllotFrom] [varchar](50) NULL,
	[AllotAfterDaysEmployment] [int] NULL,
	[IncreaseLeaveBy] [float] NULL,
	[EmploymentCompleted] [int] NULL,
	[AvailFrom] [varchar](50) NULL,
	[AvailAfterDaysEmployment] [int] NULL,
	[LastLeaveCreditedOn] [datetime] NULL,
	[LeaveTypeEffFrom] [varchar](50) NULL,
	[GraceDaysForConfirmation] [int] NULL,
	[GraceDaysEmploymentCompleted] [int] NULL,
 CONSTRAINT [LeaveTypes_PK] PRIMARY KEY CLUSTERED 
(
	[LeaveTypeId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[LeaveTypeHistory]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[LeaveTypeHistory](
	[LeaveTypeHistoryId] [int] IDENTITY(1,1) NOT NULL,
	[LeaveTypeId] [int] NULL,
	[LeaveTypeDetails] [varchar](1000) NULL,
	[UpdatedOn] [datetime] NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[LeaveAllotmentByCategoryId]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[LeaveAllotmentByCategoryId](
	[CategoryId] [int] NULL,
	[LeaveTypeId] [int] NULL,
	[IsLeaveEncashment] [int] NULL,
	[LeaveEncashmentMinBalance] [float] NULL,
	[IsLossOfPay] [int] NULL,
	[AllotAfterDaysEmployment] [int] NULL,
	[IncreaseLeaveBy] [float] NULL,
	[EmploymentCompleted] [int] NULL,
	[YearlyLimit] [int] NULL
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[JobTitles]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[JobTitles](
	[JobTitleId] [int] IDENTITY(1,1) NOT NULL,
	[JobTitleName] [varchar](50) NULL,
	[Description] [varchar](500) NULL,
 CONSTRAINT [JobTitle_PK] PRIMARY KEY CLUSTERED 
(
	[JobTitleId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Holidays]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Holidays](
	[HolidayId] [int] IDENTITY(1,1) NOT NULL,
	[HolidayName] [nvarchar](50) NOT NULL,
	[CompanyId] [int] NOT NULL,
	[HolidayDate] [datetime] NOT NULL,
	[Description] [nvarchar](255) NOT NULL,
	[RecordStatus] [int] NOT NULL,
	[HolidayType] [varchar](50) NULL,
	 [HolidayGroupId] INT            NULL,
 CONSTRAINT [PK_Holidays] PRIMARY KEY CLUSTERED 
(
	[HolidayId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[ExcludeSMSDays]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[ExcludeSMSDays](
	[IsFirstIn] [int] NULL,
	[IsLastOut] [int] NULL,
	[IsAllInOut] [int] NULL,
	[IsNoPunch] [int] NULL,
	[IsPresent] [int] NULL,
	[IsAbsent] [int] NULL,
	[ExcludeDays] [nvarchar](1000) NULL
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[ExcelDeviceLogs_Report]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[ExcelDeviceLogs_Report](
	[ExcelDeviceCustomizeReportId] [int] IDENTITY(1,1) NOT NULL,
	[Field1] [varchar](255) NULL,
	[Field2] [varchar](255) NULL,
	[Field3] [varchar](255) NULL,
	[Field4] [varchar](255) NULL,
	[Field5] [varchar](255) NULL,
	[Field6] [varchar](255) NULL,
	[Field7] [varchar](255) NULL,
	[Field8] [varchar](255) NULL,
	[Field9] [varchar](255) NULL,
	[FileNameFormat] [varchar](50) NULL,
	[IsPrefixText] [int] NULL,
	[PrefixText] [varchar](50) NULL,
	[FileExtension] [varchar](50) NULL,
	[Field10] [varchar](50) NULL,
	[Field11] [varchar](50) NULL,
	[Field12] [varchar](50) NULL,
	[FieldSeprator] [varchar](50) NULL,
 CONSTRAINT [ExcelDeviceLogs_CustomizeReport_PK] PRIMARY KEY CLUSTERED 
(
	[ExcelDeviceCustomizeReportId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[ExcelAttendanceLogs_Report]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[ExcelAttendanceLogs_Report](
	[ExcelAttendanceCustomizeReportId] [int] IDENTITY(1,1) NOT NULL,
	[Field1] [varchar](255) NULL,
	[Field2] [varchar](255) NULL,
	[Field3] [varchar](255) NULL,
	[Field4] [varchar](255) NULL,
	[Field5] [varchar](255) NULL,
	[Field6] [varchar](255) NULL,
	[Field7] [varchar](255) NULL,
	[Field8] [varchar](255) NULL,
	[Field9] [varchar](255) NULL,
	[Field10] [varchar](255) NULL,
	[Field11] [varchar](255) NULL,
	[Field12] [varchar](255) NULL,
	[Field13] [varchar](255) NULL,
	[Field14] [varchar](255) NULL,
	[Field15] [varchar](255) NULL,
	[Field16] [varchar](255) NULL,
	[Field17] [varchar](255) NULL,
	[Field18] [varchar](255) NULL,
	[Field19] [varchar](255) NULL,
	[Field20] [varchar](255) NULL,
	[Field21] [varchar](255) NULL,
	[Field22] [varchar](255) NULL,
	[Field23] [varchar](255) NULL,
	[Field24] [varchar](255) NULL,
	[Field25] [varchar](255) NULL,
	[Field26] [varchar](255) NULL,
	[Field27] [varchar](255) NULL,
	[Field28] [varchar](255) NULL,
	[Field29] [varchar](255) NULL,
	[Field30] [varchar](255) NULL,
	[Field31] [varchar](255) NULL,
	[Field32] [varchar](255) NULL,
	[Field33] [varchar](255) NULL,
	[FileNameFormat] [varchar](50) NULL,
	[IsPrefixText] [int] NULL,
	[PrefixText] [varchar](50) NULL,
	[FileExtension] [varchar](50) NULL,
	 [Field35]                          NVARCHAR (50) NULL,
    [Field36]                          NVARCHAR (50) NULL,
    [Field37]                          NVARCHAR (50) NULL,
    [Field38]                          NVARCHAR (50) NULL,
    [Field34]                          VARCHAR (50)  NULL,
 CONSTRAINT [ExcelAttendanceLogs_CustomizeReport_PK] PRIMARY KEY CLUSTERED 
(
	[ExcelAttendanceCustomizeReportId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[EmploymentStatus]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[EmploymentStatus](
	[Status] [varchar](50) NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[EmployeeTraining]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[EmployeeTraining](
	[EmployeeTrainingId] [int] IDENTITY(1,1) NOT NULL,
	[TrainingId] [int] NULL,
	[EmployeeId] [int] NULL,
	[Status] [varchar](50) NULL,
 CONSTRAINT [EmployeeTraining_PK] PRIMARY KEY CLUSTERED 
(
	[EmployeeTrainingId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[EmployeesTimeSheet]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[EmployeesTimeSheet](
	[EmployeesTimeSheetId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeeId] [int] NULL,
	[StartDate] [datetime] NULL,
	[EndDate] [datetime] NULL,
 CONSTRAINT [EmployeesTimeSheet_PK] PRIMARY KEY CLUSTERED 
(
	[EmployeesTimeSheetId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[EmployeeSpecialEntries]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[EmployeeSpecialEntries](
	[EmployeeSpecialEntryId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeeId] [int] NOT NULL,
	[Duration] [int] NOT NULL,
	[SpecialEntryDate] [datetime] NOT NULL,
	[BeginTime] [nvarchar](255) NOT NULL,
	[EndTime] [nvarchar](255) NOT NULL,
	[BeginTime2] [nvarchar](255) NULL,
	[EndTime2] [nvarchar](255) NULL,
	[IsApproved] [int] NOT NULL,
	[ApprovedBy] [nvarchar](255) NOT NULL,
	[Remarks] [nvarchar](4000) NOT NULL,
	[LastModifiedBy] [nvarchar](255) NULL,
	[ToDate] [datetime] NULL,
	[LastModifiedDate] [datetime] NULL,
	[ApplicableSession] [varchar](50) NULL,
	[ODApplicationStatus] [varchar](50) NULL,
	[OutDoorType] [varchar](50) NULL,
	 [AppliedDate]            DATETIME        NULL,
    [ApprovedDeclinedDate]   DATETIME        NULL,
    [ManagerRemarks]         VARCHAR (200)   NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
CREATE UNIQUE CLUSTERED INDEX [INX_EmployeeSpecialEntry] ON [dbo].[EmployeeSpecialEntries] 
(
	[EmployeeSpecialEntryId] ASC,
	[EmployeeId] ASC,
	[SpecialEntryDate] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_DateBeginTime] ON [dbo].[EmployeeSpecialEntries] 
(
	[SpecialEntryDate] ASC,
	[BeginTime] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_DateEndTime] ON [dbo].[EmployeeSpecialEntries] 
(
	[SpecialEntryDate] ASC,
	[EndTime] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[EmployeesLeavesBalance]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[EmployeesLeavesBalance](
	[EmployeeLeaveBalanceId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeeId] [int] NOT NULL,
	[LeaveTypeId] [int] NOT NULL,
	[LeaveBalance] [float] NULL,
	[LeaveYear] [int] NULL,
	[LeaveLapse] [int] NULL,
	[IsLeaveCarryForwarded] [int] NULL,
 CONSTRAINT [PK_EmployeesLeavesBalance] PRIMARY KEY CLUSTERED 
(
	[EmployeeLeaveBalanceId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_EmpIdLeaveTIdYear] ON [dbo].[EmployeesLeavesBalance] 
(
	[EmployeeId] ASC,
	[LeaveTypeId] ASC,
	[LeaveYear] ASC
)
INCLUDE ( [LeaveBalance]) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[EmployeeShift]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[EmployeeShift](
	[EmployeeShiftId] [int] IDENTITY(1,1) NOT NULL,
	[ShiftId] [int] NOT NULL,
	[EmployeeId] [int] NOT NULL,
	[Shiftdate] [datetime] NOT NULL,
	[ShiftType] [nvarchar](50) NOT NULL,
	[LastModifiedBy] [nvarchar](50) NOT NULL,
	[ToDate] [datetime] NULL
) ON [PRIMARY]
GO
CREATE UNIQUE CLUSTERED INDEX [INX_Employeeshift] ON [dbo].[EmployeeShift] 
(
	[EmployeeShiftId] ASC,
	[ShiftId] ASC,
	[EmployeeId] ASC,
	[Shiftdate] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_ShiftdateEmployeeId] ON [dbo].[EmployeeShift] 
(
	[Shiftdate] ASC,
	[EmployeeId] ASC,
	[ToDate] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[EmployeesBio]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[EmployeesBio](
	[EmployeeBioId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeeCodeInDevice] [varchar](50) NOT NULL,
	[EmployeeName] [varchar](50) NOT NULL,
	[Privilege] [int] NOT NULL,
	[BioVersion] [int] NOT NULL,
	[BioId] [int] NOT NULL,
	[Bio] [ntext] NOT NULL,
	[BioPassword] [varchar](50) NOT NULL,
	[CardNumber] [varchar](50) NOT NULL,
	[DeviceId] [int] NULL,
	[RFIDIssuedNoOfTimes] [int] NULL,
 CONSTRAINT [PK_EmployeesBio] PRIMARY KEY CLUSTERED 
(
	[EmployeeBioId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
CREATE NONCLUSTERED INDEX [IX_EmployeeCodeInDevice] ON [dbo].[EmployeesBio] 
(
	[EmployeeCodeInDevice] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Employees]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Employees](
	[EmployeeId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeeName] [nvarchar](50) NOT NULL,
	[EmployeeCode] [nvarchar](50) NOT NULL,
	[StringCode] [nvarchar](50) NULL,
	[NumericCode] [int] NULL,
	[Gender] [nvarchar](255) NOT NULL,
	[CompanyId] [int] NOT NULL,
	[DepartmentId] [int] NOT NULL,
	[Designation] [nvarchar](255) NULL,
	[CategoryId] [int] NOT NULL,
	[DOJ] [datetime] NULL,
	[DOR] [datetime] NULL,
	[DOC] [datetime] NULL,
	[EmployeeCodeInDevice] [nvarchar](50) NOT NULL,
	[EmployeeRFIDNumber] [nvarchar](255) NULL,
	[EmployementType] [nvarchar](255) NOT NULL,
	[Status] [nvarchar](255) NOT NULL,
	[EmployeeDevicePassword] [nvarchar](50) NULL,
	[EmployeeDeviceGroup] [nvarchar](50) NULL,
	[FatherName] [nvarchar](255) NULL,
	[HusbandName] [nvarchar](255) NULL,
	[MotherName] [nvarchar](255) NULL,
	[ResidentialAddress] [nvarchar](255) NULL,
	[PermanentAddress] [nvarchar](255) NULL,
	[ContactNo] [nvarchar](255) NULL,
	[Email] [nvarchar](255) NULL,
	[DOB] [datetime] NULL,
	[PlaceOfBirth] [nvarchar](255) NULL,
	[Nomenee1] [nvarchar](255) NULL,
	[Nomenee2] [nvarchar](255) NULL,
	[Remarks] [ntext] NULL,
	[RecordStatus] [int] NULL,
	[C1] [nvarchar](255) NULL,
	[C2] [nvarchar](255) NULL,
	[C3] [nvarchar](255) NULL,
	[C4] [nvarchar](255) NULL,
	[C5] [nvarchar](255) NULL,
	[C6] [nvarchar](255) NULL,
	[C7] [nvarchar](255) NULL,
	[Location] [nvarchar](255) NULL,
	[BLOODGROUP] [nvarchar](255) NULL,
	[WorkPlace] [nvarchar](255) NULL,
	[ExtensionNo] [nvarchar](255) NULL,
	[LoginName] [nvarchar](255) NULL,
	[LoginPassword] [nvarchar](255) NULL,
	[Grade] [nvarchar](255) NULL,
	[Team] [nvarchar](255) NULL,
	[IsRecieveNotification] [int] NULL,
	[HolidayGroup] [int] NULL,
	[ShiftGroupId] [int] NULL,
	[LastModifiedBy] [nvarchar](50) NULL,
	[ShiftRotationMasterId] [int] NULL,
	[ReportTo] [varchar](500) NULL,
	[ShiftType] [varchar](50) NULL,
	[OfficialPhone] [varchar](50) NULL,
	[OfficialMobile] [varchar](50) NULL,
	[PersonaleMailID] [varchar](50) NULL,
	[UIDNo] [varchar](50) NULL,
	[PANNo] [varchar](50) NULL,
	[VoterIdNo] [varchar](50) NULL,
	[EffectiveFrom]              DATETIME       NULL,
    [ShiftPatternAssignedOn]     DATETIME       NULL,
    [MultiShiftGroupId]          INT            NULL,
    [AndroidDeviceIMEINo]        VARCHAR (50)   NULL,
    [IsMarkAndroidWebAttendance] INT            NULL,
    [PushNotificationId]         VARCHAR (50)   NULL,
    [IsSendApproveDeclineSMS]    INT            NULL,
    [IsSendPushNotification]     INT            NULL,
    [EmployeeAddedFromService]   INT            NULL,
    [BankAccountNumber]                     VARCHAR (50)   NULL,
    [ModeOfPayment]                         VARCHAR (50)   NULL,
    [SalaryCalculateFrom]                   DATETIME       NULL,
    [ISESINo]                               BIT            NULL,
    [ESINo]                                 VARCHAR (50)   NULL,
    [ESIDispensary]                         VARCHAR (50)   NULL,
    [ISPFNo]                                BIT            NULL,
    [PFNo]                                  VARCHAR (50)   NULL,
    [PFNoDeptFile]                          VARCHAR (50)   NULL,
    [IsRestrictPFcontri]                    BIT            NULL,
    [IsZeroPension]                         BIT            NULL,
    [IsZeroPT]                              BIT            NULL,
    [IsTDSApplicable]                       BIT            NULL,
    [WardCircle]                            VARCHAR (50)   NULL,
    [SalaryStructureId]                     INT            NULL,
    [IsMetro]                               BIT            NULL,
    [IsEmployerPFRestrict]                  BIT            NULL,
    [IsContractEmployee]                    BIT            NULL,
    [ISGratuity]                            BIT            NULL,
    [ReasonForLeaving]                      VARCHAR (50)   NULL,
    [ResignationCode]                       CHAR (2)       NULL,
    [SettlementDate]                        DATETIME       NULL,
    [SalaryHoldFrom]                        DATETIME       NULL,
    [IsFinalSettlementDone]                 BIT            NULL,
    [PFApplicabilityEffectiveFrom]          DATETIME       NULL,
    [RestrictEmployeePFEffectiveFrom]       DATETIME       NULL,
    [ZeroPensionApplicabilityEffectiveFrom] DATETIME       NULL,
    [ZeroPTApplicabilityFrom]               DATETIME       NULL,
    [ESIApplicabilityEffectiveFrom]         DATETIME       NULL,
    [RestrictEmployerPFEffectiveFrom]       DATETIME       NULL,
    [ESIApplicabilityFirstHalf]             BIT            NULL,
    [ESIApplicabilitySecondHalf]            BIT            NULL,
    [ProbationCompletionDate]               DATETIME       NULL,
    [FinalSettlementSalaryHoldFrom]         DATETIME       NULL,
    [ExitInterviewDate]                     DATETIME       NULL,
    [ExitInterviewRemarks]                  VARCHAR (500)  NULL,
    [ExitRemarks]                           VARCHAR (50)   NULL,
    [ResignationSubmittedOn]                DATETIME       NULL,
    [TentativeLeavingDate]                  DATETIME       NULL,
    [ShortFallInNotice]                     INT            NULL,
    [NoticePeriodDays]                      INT            NULL,
    [SpouseName]                            NVARCHAR (50)  NULL,
    [DateOfJoiningPF]                       DATETIME       NULL,
    [DateOfExitPF]                          DATETIME       NULL,
    [FinancialInstitutionId]                INT            NULL
 CONSTRAINT [PK_Employees] PRIMARY KEY CLUSTERED 
(
	[EmployeeId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
CREATE NONCLUSTERED INDEX [IX_EmployeeCode] ON [dbo].[Employees] 
(
	[EmployeeCode] ASC
)
INCLUDE ( [EmployeeId],
[EmployeeName],
[Gender],
[DOJ]) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[EmployeeNoPunchSMSDetails]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[EmployeeNoPunchSMSDetails](
	[EmployeeId] [int] NULL,
	[LogDate] [datetime] NULL,
	[SMSFlag] [int] NULL
) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_EmployeeId_LogDate] ON [dbo].[EmployeeNoPunchSMSDetails] 
(
	[EmployeeId] ASC,
	[LogDate] DESC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[EmployeeLeaveEntries]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[EmployeeLeaveEntries](
	[EmployeeLeaveEntryId] [int] IDENTITY(1,1) NOT NULL,
	[LeaveTypeId] [int] NOT NULL,
	[LeaveStatus] [varchar](50) NOT NULL,
	[LeaveDuration] [int] NOT NULL,
	[EmployeeId] [int] NOT NULL,
	[LeaveDate] [datetime] NOT NULL,
	[IsApproved] [int] NOT NULL,
	[ApprovedBy] [varchar](50) NOT NULL,
	[Remarks] [varchar](500) NOT NULL,
	[LastModifiedBy] [nvarchar](50) NOT NULL,
	[Reason] [varchar](500) NULL,
	[ContactNumber] [varchar](50) NULL,
	[ToDate] [datetime] NULL,
	[LastModifiedDate] [datetime] NULL,
	[ApplicableSession] [varchar](50) NULL,
	[LeaveApplicationStatus] [varchar](50) NULL,
	[AppliedDate]            DATETIME      NULL,
    [ApprovedDeclinedDate]   DATETIME      NULL,
    [ManagerRemarks]         VARCHAR (200) NULL,
    [IsAutoDeduct]           INT           NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
CREATE UNIQUE CLUSTERED INDEX [INX_EmployeeLeaveEntry] ON [dbo].[EmployeeLeaveEntries] 
(
	[EmployeeLeaveEntryId] ASC,
	[EmployeeId] ASC,
	[LeaveDate] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_LeaveDateEmployeeId] ON [dbo].[EmployeeLeaveEntries] 
(
	[EmployeeId] ASC,
	[LeaveDate] ASC,
	[ToDate] ASC
)
INCLUDE ( [IsApproved]) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_LeaveDateEmployeeIdLeaveTypeId] ON [dbo].[EmployeeLeaveEntries] 
(
	[LeaveDate] ASC,
	[EmployeeId] ASC,
	[LeaveTypeId] ASC
)
INCLUDE ( [LeaveStatus]) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[EmployeeLeaveCreditHistory]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[EmployeeLeaveCreditHistory](
	[EmployeeLeaveCreditHistoryId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeeId] [int] NOT NULL,
	[LeaveTypeId] [int] NOT NULL,
	[CreditedDate] [datetime] NOT NULL,
	[CreditedCycle] [datetime] NOT NULL,
	[Credited] [float] NOT NULL
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[EmployeeHistory]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[EmployeeHistory](
	[EmployeeHistoryId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeeId] [int] NULL,
	[EmployeeDetails] [varchar](1000) NULL,
	[UpdatedOn] [datetime] NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[EmployeeFamilyMember]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[EmployeeFamilyMember](
	[EmployeeFamilyMemberId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeeId] [int] NULL,
	[IsNominated] [int] NULL,
	[IsDependent] [int] NULL,
	[IsCoveredUnderMediclaim] [int] NULL,
	[Name] [varchar](255) NULL,
	[DateOfBirth] [varchar](255) NULL,
	[Nationality] [varchar](255) NULL,
	[Gender] [varchar](255) NULL,
	[BloodGroup] [varchar](255) NULL,
	[Profession] [varchar](255) NULL,
	[Relationship] [varchar](255) NULL,
	[MedicalHistory] [varchar](255) NULL,
 CONSTRAINT [EmployeeFamilyMember_PK] PRIMARY KEY CLUSTERED 
(
	[EmployeeFamilyMemberId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[EmployeeDocuments]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[EmployeeDocuments](
	[EmployeeDocumentId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeeId] [int] NULL,
	[DocumentTitle] [varchar](200) NULL,
	[UploadedDate] [datetime] NULL,
	[LastModifiedBy] [varchar](50) NULL,
	[Extension] [varchar](50) NULL,
 CONSTRAINT [EmployeeDocuments_PK] PRIMARY KEY CLUSTERED 
(
	[EmployeeDocumentId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[EmployeeCompOffRequest]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[EmployeeCompOffRequest](
	[EmployeeCompOffRequestId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeeId] [int] NULL,
	[WOP_HPDate] [datetime] NULL,
	[Reason] [varchar](500) NULL,
	[Remarks] [varchar](500) NULL,
	[IsApproved] [int] NULL,
	[ApprovedBy] [varchar](50) NULL,
	[LastModifiedBy] [varchar](50) NULL,
 CONSTRAINT [EmployeeCompOffRequest_PK] PRIMARY KEY CLUSTERED 
(
	[EmployeeCompOffRequestId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
CREATE NONCLUSTERED INDEX [IX_WOPHPDate_EmployeeId] ON [dbo].[EmployeeCompOffRequest] 
(
	[EmployeeId] ASC,
	[WOP_HPDate] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[EmployeeCompOffBroker]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[EmployeeCompOffBroker](
	[EmployeeCompOffBrokerId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeeId] [int] NULL,
	[CompOffDate] [datetime] NULL,
 CONSTRAINT [EmployeeCompOffBroker_PK] PRIMARY KEY CLUSTERED 
(
	[EmployeeCompOffBrokerId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[EmployeeCardIssuedDetails]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[EmployeeCardIssuedDetails](
	[EmployeeCardIssuedDetailsId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeeId] [int] NULL,
	[IssueDate] [datetime] NULL,
	[NoOfTime] [int] NULL,
	[CardNumber] [varchar](50) NULL,
 CONSTRAINT [EmployeeCardIssuedDetails_PK] PRIMARY KEY CLUSTERED 
(
	[EmployeeCardIssuedDetailsId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[EmpAutoLeaveAllotHistory]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[EmpAutoLeaveAllotHistory](
	[EmpAutoLeaveAllotHistoryId] [int] IDENTITY(1,1) NOT NULL,
	[EmployeeId] [int] NOT NULL,
	[LeaveTypeId] [int] NOT NULL,
	[AutoAllotedOn] [datetime] NOT NULL
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[DeviceSettings]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[DeviceSettings](
	[IsAutoDownLoading] [int] NOT NULL,
	[IsAutoClearLogs] [int] NOT NULL,
	[IsDownLoadingFromBegining] [int] NOT NULL,
	[DownloadInterval] [int] NOT NULL,
	[CheckedDeviceIds] [varchar](500) NOT NULL,
	[IsParallelDatabaseDownload] [int] NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Devices]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Devices](
	[DeviceId] [int] IDENTITY(1,1) NOT NULL,
	[DeviceFName] [nvarchar](255) NOT NULL,
	[DeviceSName] [nvarchar](255) NOT NULL,
	[DeviceDirection] [nvarchar](255) NOT NULL,
	[SerialNumber] [nvarchar](255) NOT NULL,
	[ConnectionType] [nvarchar](255) NOT NULL,
	[IpAddress] [nvarchar](255) NULL,
	[BaudRate] [nvarchar](255) NULL,
	[ComPort] [nvarchar](255) NULL,
	[LastLogDownloadDate] [datetime] NOT NULL,
	[CommKey] [nvarchar](255) NULL,
	[TransactionStamp] [nvarchar](50) NULL,
	[LastPing] [datetime] NULL,
	[DeviceType] [nvarchar](255) NULL,
	[OpStamp] [nvarchar](255) NULL,
	[DownLoadType] [int] NULL,
	[Timezone] [nvarchar](50) NULL,
	[DeviceLocation] [nvarchar](50) NULL,
	[TimeOut] [nvarchar](50) NULL,
	[IsRealTime] [int] NULL,
	[TransTimes] [varchar](255) NULL,
	[TransInterval] [varchar](255) NULL,
	[DeviceVendor] [varchar](255) NULL,
	[DeviceInfo] [varchar](1000) NULL,
	[TransFlag] [nvarchar](50) NULL,
	[MasterDeviceId] [int] NULL,
	[CompanyId] [int] NULL,
	 [DownloadedLogCount]  INT            NULL,
 CONSTRAINT [PK_Devices] PRIMARY KEY CLUSTERED 
(
	[DeviceId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[DeviceLogs]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[DeviceLogs](
	[DeviceLogId] [int] IDENTITY(1,1) NOT NULL,
	[DownloadDate] [datetime] NOT NULL,
	[DeviceId] [int] NOT NULL,
	[UserId] [varchar](50) NOT NULL,
	[LogDate] [datetime] NOT NULL,
	[Direction] [varchar](10) NOT NULL,
	[AttDirection] [varchar](10) NOT NULL,
	[AlternateAttDirection] [varchar](10) NULL,
	[StatusCode] [varchar](10) NULL,
	[WorkCode] [varchar](10) NULL,
	[Duration] [int] NULL,
	[Remarks] [varchar](500) NULL,
	[SMSFlag] [int] NULL,
	[VerificationMode] [varchar](50) NULL,
	[IsApproved] [int] NULL,
    [AttenndanceMarkingType] VARCHAR (50)  NULL,
    [AttMarkAndroidIMEINo]   VARCHAR (50)  NULL,
    [ManagerRemarks]         VARCHAR (200) NULL,
    [LogRecordLocation]      VARCHAR (500) NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
CREATE NONCLUSTERED INDEX [IX_LogDate_UserId_DeviceId] ON [dbo].[DeviceLogs] 
(
	[LogDate] ASC,
	[UserId] ASC,
	[DeviceId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE UNIQUE NONCLUSTERED INDEX [IX_UserIdLogDate] ON [dbo].[DeviceLogs] 
(
	[UserId] ASC,
	[LogDate] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = ON, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[DeviceCommands]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[DeviceCommands](
	[DeviceCommandId] [int] IDENTITY(1,1) NOT NULL,
	[Title] [varchar](255) NULL,
	[DeviceCommand] [ntext] NULL,
	[SerialNumber] [varchar](50) NULL,
	[Status] [varchar](50) NULL,
	[CreationDate] [varchar](50) NULL,
	[ExecutionDate] [varchar](50) NULL,
	[ReturnValue]     VARCHAR (50)  NULL,
 CONSTRAINT [DeviceCommands_PK] PRIMARY KEY CLUSTERED 
(
	[DeviceCommandId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[DepartmentShifts]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[DepartmentShifts](
	[DepartmentShiftId] [int] IDENTITY(1,1) NOT NULL,
	[DepartmentId] [int] NOT NULL,
	[ShiftDate] [datetime] NOT NULL,
	[ShiftId] [int] NOT NULL,
	[ShiftType] [nvarchar](50) NULL,
	[LastModifiedDate] [datetime] NOT NULL
) ON [PRIMARY]
GO
CREATE UNIQUE CLUSTERED INDEX [INX_DepatmentShift] ON [dbo].[DepartmentShifts] 
(
	[DepartmentShiftId] ASC,
	[DepartmentId] ASC,
	[ShiftDate] ASC,
	[ShiftId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Departments]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Departments](
	[DepartmentId] [int] IDENTITY(1,1) NOT NULL,
	[DepartmentFName] [nvarchar](50) NOT NULL,
	[DepartmentSName] [nvarchar](50) NOT NULL,
	[Description] [nvarchar](50) NOT NULL,
	[RecordStatus] [int] NOT NULL,
 CONSTRAINT [PK_Departments] PRIMARY KEY CLUSTERED 
(
	[DepartmentId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[CustomizeStatusCode]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[CustomizeStatusCode](
	[CustomizeStatusCodeId] [int] IDENTITY(1,1) NOT NULL,
	[MainStatusCode] [varchar](50) NULL,
	[CustomStatusCode] [varchar](50) NULL,
 CONSTRAINT [CustomizeStatusCode_PK] PRIMARY KEY CLUSTERED 
(
	[CustomizeStatusCodeId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[CustomizeReport]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[CustomizeReport](
	[CustomizeReportId] [int] IDENTITY(1,1) NOT NULL,
	[Group1] [varchar](255) NULL,
	[Group2] [varchar](255) NULL,
	[Field1] [varchar](255) NULL,
	[Field2] [varchar](255) NULL,
	[Field3] [varchar](255) NULL,
	[Field4] [varchar](255) NULL,
	[Field5] [varchar](255) NULL,
	[Field6] [varchar](255) NULL,
	[Field7] [varchar](255) NULL,
	[Field8] [varchar](255) NULL,
	[Field9] [varchar](255) NULL,
	[Field10] [varchar](255) NULL,
	[Field11] [varchar](255) NULL,
	[Field12] [varchar](255) NULL,
	[Field13] [varchar](255) NULL,
	[Field14] [varchar](255) NULL,
	[Field15] [varchar](255) NULL,
	[Field16] [varchar](255) NULL,
	[Field17] [varchar](255) NULL,
	[Field18] [varchar](255) NULL,
	[Field19] [varchar](255) NULL,
	[Field20] [varchar](255) NULL,
	[Field21] [varchar](255) NULL,
	[Field22] [varchar](255) NULL,
	[Field23] [varchar](255) NULL,
	[Field24] [varchar](255) NULL,
	[Field25] [varchar](255) NULL,
	[Field26] [varchar](255) NULL,
	[Field27] [varchar](255) NULL,
	[Field28] [varchar](255) NULL,
	[Field29] [varchar](255) NULL,
	[Field30] [varchar](255) NULL,
	[Field31] [varchar](255) NULL,
 CONSTRAINT [CustomizeReport_PK] PRIMARY KEY CLUSTERED 
(
	[CustomizeReportId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[CustomizeFormatSettings]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[CustomizeFormatSettings](
	[IsEtimeTrackLiteFormat] [int] NULL,
	[DataField1] [varchar](50) NULL,
	[DataField2] [varchar](50) NULL,
	[DataField3] [varchar](50) NULL,
	[DataField4] [varchar](50) NULL,
	[DataField5] [varchar](50) NULL,
	[DataField6] [varchar](50) NULL,
	[DataField7] [varchar](50) NULL,
	[DataField8] [varchar](50) NULL,
	[DataField9] [varchar](50) NULL,
	[DataField1Header] [varchar](50) NULL,
	[DataField2Header] [varchar](50) NULL,
	[DataField3Header] [varchar](50) NULL,
	[DataField4Header] [varchar](50) NULL,
	[DataField5Header] [varchar](50) NULL,
	[DataField6Header] [varchar](50) NULL,
	[DataField7Header] [varchar](50) NULL,
	[DataField8Header] [varchar](50) NULL,
	[DataField9Header] [varchar](50) NULL,
	[DataField1Format] [varchar](50) NULL,
	[DataField2Format] [varchar](50) NULL,
	[DataField3Format] [varchar](50) NULL,
	[DataField4Format] [varchar](50) NULL,
	[DataField5Format] [varchar](50) NULL,
	[DataField6Format] [varchar](50) NULL,
	[DataField7Format] [varchar](50) NULL,
	[DataField8Format] [varchar](50) NULL,
	[DataField9Format] [varchar](50) NULL,
	[DataField1PrefixText] [varchar](50) NULL,
	[DataField2PrefixText] [varchar](50) NULL,
	[DataField3PrefixText] [varchar](50) NULL,
	[DataField4PrefixText] [varchar](50) NULL,
	[DataField5PrefixText] [varchar](50) NULL,
	[DataField6PrefixText] [varchar](50) NULL,
	[DataField7PrefixText] [varchar](50) NULL,
	[DataField8PrefixText] [varchar](50) NULL,
	[DataField9PrefixText] [varchar](50) NULL,
	[InText] [varchar](50) NULL,
	[OutText] [varchar](50) NULL,
	[BreakInText] [varchar](50) NULL,
	[BreakOutText] [varchar](50) NULL,
	[ShowHeader] [int] NULL,
	[FileNameFormat] [varchar](50) NULL,
	[IsPrefix] [int] NULL,
	[PrefixText] [varchar](50) NULL,
	[FileExtension] [varchar](50) NULL,
	[FieldSeparator] [varchar](50) NULL,
	[CreateFileLastDownload] [int] NULL,
	[LastLogDownloadDate] [datetime] NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Customers]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Customers](
	[CustomerId] [int] IDENTITY(1,1) NOT NULL,
	[CustomerName] [varchar](50) NULL,
	[Description] [varchar](500) NULL,
 CONSTRAINT [Customers_PK] PRIMARY KEY CLUSTERED 
(
	[CustomerId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Companies]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Companies](
	[CompanyId] [int] IDENTITY(1,1) NOT NULL,
	[CompanyFName] [nvarchar](50) NOT NULL,
	[CompanySName] [nvarchar](50) NOT NULL,
	[CompanyAddress] [nvarchar](255) NOT NULL,
	[CompanyIsVisible] [int] NULL,
	[CompanyeMail] [nvarchar](255) NOT NULL,
	[CompanyWebsite] [nvarchar](255) NOT NULL,
	[RecordStatus] [int] NOT NULL,
 CONSTRAINT [PK_Companies] PRIMARY KEY CLUSTERED 
(
	[CompanyId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Categories]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Categories](
	[CategoryId] [int] IDENTITY(1,1) NOT NULL,
	[CategoryName] [varchar](50) NOT NULL,
	[CategorySName] [varchar](50) NOT NULL,
	[OTFormula] [varchar](50) NOT NULL,
	[MinOT] [int] NOT NULL,
	[IsMaxOT] [int] NOT NULL,
	[MaxOT] [int] NOT NULL,
	[IsConsiderFirstAndLastPunch] [int] NOT NULL,
	[GraceTimeForLateComing] [int] NOT NULL,
	[GracetimeForEarlyGoing] [int] NOT NULL,
	[IsNeglectLastInPunch] [int] NOT NULL,
	[IsWeeklyOff1] [int] NOT NULL,
	[WeeklyOff1Day] [varchar](50) NOT NULL,
	[IsWeeklyOff2] [int] NOT NULL,
	[WeeklyOff2Day] [varchar](50) NOT NULL,
	[WeeklyOff2days] [varchar](50) NULL,
	[IsConsiderEarlyComingPunch] [int] NULL,
	[IsConsiderLateGoingPunch] [int] NULL,
	[IsDeductBreakHourFromD] [int] NOT NULL,
	[IsCHalfForLessD] [int] NOT NULL,
	[CHalfForLessDMins] [int] NOT NULL,
	[IsCAbsentDisLessThan] [int] NOT NULL,
	[CAbsentDisLessThanMins] [int] NOT NULL,
	[IsCHalfForLessD_P] [int] NOT NULL,
	[CHalfForLessDMins_P] [int] NOT NULL,
	[IsCAbsentDisLessThan_P] [int] NOT NULL,
	[CAbsentDisLessThanMins_P] [int] NOT NULL,
	[IsPrefixMarkWOAndHAbsent] [int] NOT NULL,
	[IsSuffixMarkWOAndHAbsent] [int] NOT NULL,
	[IsBothMarkWOAndHAbsent] [int] NOT NULL,
	[IsMark] [int] NOT NULL,
	[AbsentType] [varchar](50) NOT NULL,
	[LateDay] [int] NOT NULL,
	[IsMarkHalfDay_LateBy] [int] NOT NULL,
	[MarkHalfDay_LateByMins] [int] NOT NULL,
	[IsMarkHalfDay_EarlyGoing] [int] NOT NULL,
	[MarkHalfDay_EarlyGoing] [int] NOT NULL,
	[RecordStatus] [int] NOT NULL,
	[ForSinglePunch] [varchar](500) NULL,
	[ConsiderWP_HPInOT] [int] NULL,
	[IsCalculateHalfCompOff] [int] NULL,
	[IsCalculateNoCompOff] [int] NULL,
	[CalculateHalfCompOffMins] [int] NULL,
	[CalculateNoCompOffMins] [int] NULL,
	[IsContiLateByWithEarlyBy]      INT           NULL,
    [IsDeductBreakDuInOTWOHP]       INT           NULL,
    [FlexiShiftId]                  INT           NULL,
    [IsAdjustLateComWithEarly]      INT           NULL,
    [AdjustLateComWithEarlyDays]    INT           NULL,
    [IsDeductCon_Le_Ab_LateByDays]  INT           NULL,
    [IsDeduct_Le_Ab_LateByMins]     INT           NULL,
    [IsDeduct_Le_Ab_EarlByMins]     INT           NULL,
    [IsPerformSameConsecutiveLate]  INT           NULL,
    [IsDeductContiLateLeave]        INT           NULL,
    [IsDeductLateByLeave]           INT           NULL,
    [IsDeductEarlyByLeave]          INT           NULL,
    [DeductContiLateLeaveDay]       VARCHAR (50)  NULL,
    [DeductContiLateLeaveType1]     INT           NULL,
    [DeductContiLateLeaveType2]     INT           NULL,
    [DeductContiLateLeaveType3]     INT           NULL,
    [DeductContiLateLeaveLateFor]   INT           NULL,
    [LateEarlyRecurringType]        VARCHAR (50)  NULL,
    [DeductLateByLeaveDay]          VARCHAR (50)  NULL,
    [DeductLateByLeaveType1]        INT           NULL,
    [DeductLateByLeaveType2]        INT           NULL,
    [DeductLateByLeaveType3]        INT           NULL,
    [DeductLateByLeaveLateFor]      INT           NULL,
    [DeductEarlyByLeaveDay]         VARCHAR (50)  NULL,
    [DeductEarlyByLeaveType1]       INT           NULL,
    [DeductEarlyByLeaveType2]       INT           NULL,
    [DeductEarlyByLeaveType3]       INT           NULL,
    [DeductEarlyByLeaveEarlyFor]    INT           NULL,
    [IsDeductCon_Le_Ab_EarlyByDays] INT           NULL,
    [IsMarkConEarly]                INT           NULL,
    [AbsentTypeConEarly]            VARCHAR (50)  NULL,
    [ConEarlyDay]                   INT           NULL,
    [IsDeductContiEarlyLeave]       INT           NULL,
    [DeductContiEarlyLeaveDay]      VARCHAR (50)  NULL,
    [DeductContiEarlyLeaveType1]    INT           NULL,
    [DeductContiEarlyLeaveType2]    INT           NULL,
    [DeductContiEarlyLeaveType3]    INT           NULL,
    [DeductContiEarlyLeaveEarlyFor] INT           NULL,
    [IsPerformSameConsecutiveEarly] INT           NULL,
    [TotalDurationFormula]          VARCHAR (500) NULL,
	
 CONSTRAINT [PK_Categories] PRIMARY KEY CLUSTERED 
(
	[CategoryId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Candidates]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Candidates](
	[CandidateId] [int] IDENTITY(1,1) NOT NULL,
	[VacancyId] [int] NULL,
	[CandidateStatus] [varchar](50) NULL,
	[CandidateName] [varchar](50) NULL,
	[Address] [varchar](500) NULL,
	[City] [varchar](50) NULL,
	[State] [varchar](50) NULL,
	[ZipCode] [varchar](50) NULL,
	[Country] [varchar](50) NULL,
	[MobileNumber] [varchar](50) NULL,
	[eMail] [varchar](50) NULL,
	[Keywords] [varchar](500) NULL,
	[Comment] [varchar](500) NULL,
	[DateOfApplication] [datetime] NULL,
	[MaritialStatus] [varchar](50) NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[AttendanceLogs]    Script Date: 03/30/2015 21:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[AttendanceLogs](
	[AttendanceLogId] [int] IDENTITY(1,1) NOT NULL,
	[AttendanceDate] [datetime] NOT NULL,
	[EmployeeId] [int] NOT NULL,
	[InTime] [nvarchar](255) NULL,
	[InDeviceId] [nvarchar](255) NULL,
	[OutTime] [nvarchar](255) NULL,
	[OutDeviceId] [nvarchar](255) NULL,
	[Duration] [float] NOT NULL,
	[LateBy] [int] NOT NULL,
	[EarlyBy] [int] NOT NULL,
	[IsOnLeave] [int] NOT NULL,
	[LeaveTypeId] [int] NULL,
	[LeaveType] [nvarchar](50) NULL,
	[LeaveDuration] [float] NULL,
	[LeaveStatus] [float] NULL,
	[LeaveRemarks] [nvarchar](4000) NULL,
	[IsonSpecialOff] [int] NOT NULL,
	[SpecialOffType] [nvarchar](255) NULL,
	[SpecialOffRemark] [nvarchar](4000) NULL,
	[SpecialOffDuration] [int] NULL,
	[WeeklyOff] [int] NOT NULL,
	[Holiday] [int] NOT NULL,
	[PunchRecords] [ntext] NOT NULL,
	[PunchDirections] [ntext] NULL,
	[PunchDevicesName] [ntext] NULL,
	[ShiftId] [int] NOT NULL,
	[Present] [float] NOT NULL,
	[Absent] [float] NOT NULL,
	[DetailedStatus] [varchar](500) NULL,
	[Status] [varchar](255) NOT NULL,
	[DetailedStatusCode] [varchar](500) NULL,
	[StatusCode] [nvarchar](255) NOT NULL,
	[P1Status] [nvarchar](255) NULL,
	[P2Status] [nvarchar](255) NULL,
	[P3Status] [nvarchar](255) NULL,
	[OverTime] [int] NOT NULL,
	[OverTimeE] [int] NOT NULL,
	[MissedOutPunch] [int] NOT NULL,
	[MissedInPunch] [int] NULL,
	[Remarks] [nvarchar](4000) NULL,
	[IsOnRestrictedHoliday] [int] NULL,
	[IsOnCompOff] [int] NULL,
	[IsPartialDay] [int] NULL,
	[ReportPunchRecords] [ntext] NULL,
	[SMSFlag] [int] NULL,
	[CompOff] [float] NULL,
	 [ApplicableSession]           VARCHAR (50)    NULL,
    [LateByAdjustment]            INT             NULL,
    [EarlyByAdjustment]           INT             NULL,
    [LateComEarlygoingAdjustment] INT             NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
CREATE UNIQUE NONCLUSTERED INDEX [IX_AttendanceDate_EmployeeId] ON [dbo].[AttendanceLogs] 
(
	[AttendanceDate] ASC,
	[EmployeeId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = ON, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
CREATE UNIQUE NONCLUSTERED INDEX [IX_AttendanceLogId] ON [dbo].[AttendanceLogs] 
(
	[AttendanceLogId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO


CREATE TABLE [dbo].[EmployeesAudit] (
    [EmployeeId]                 INT            NOT NULL,
    [EmployeeName]               NVARCHAR (50)  NOT NULL,
    [EmployeeCode]               NVARCHAR (50)  NOT NULL,
    [StringCode]                 NVARCHAR (50)  NULL,
    [NumericCode]                INT            NULL,
    [Gender]                     NVARCHAR (255) NOT NULL,
    [CompanyId]                  INT            NOT NULL,
    [DepartmentId]               INT            NOT NULL,
    [Designation]                NVARCHAR (255) NULL,
    [CategoryId]                 INT            NOT NULL,
    [DOJ]                        DATETIME       NULL,
    [DOR]                        DATETIME       NULL,
    [DOC]                        DATETIME       NULL,
    [EmployeeCodeInDevice]       NVARCHAR (50)  NOT NULL,
    [EmployeeRFIDNumber]         NVARCHAR (255) NULL,
    [EmployementType]            NVARCHAR (255) NOT NULL,
    [Status]                     NVARCHAR (255) NOT NULL,
    [EmployeeDevicePassword]     NVARCHAR (50)  NULL,
    [EmployeeDeviceGroup]        NVARCHAR (50)  NULL,
    [FatherName]                 NVARCHAR (255) NULL,
    [MotherName]                 NVARCHAR (255) NULL,
    [ResidentialAddress]         NVARCHAR (255) NULL,
    [PermanentAddress]           NVARCHAR (255) NULL,
    [ContactNo]                  NVARCHAR (255) NULL,
    [Email]                      NVARCHAR (255) NULL,
    [DOB]                        DATETIME       NULL,
    [PlaceOfBirth]               NVARCHAR (255) NULL,
    [Nomenee1]                   NVARCHAR (255) NULL,
    [Nomenee2]                   NVARCHAR (255) NULL,
    [Remarks]                    NTEXT          NULL,
    [RecordStatus]               INT            NULL,
    [C1]                         NVARCHAR (255) NULL,
    [C2]                         NVARCHAR (255) NULL,
    [C3]                         NVARCHAR (255) NULL,
    [C4]                         NVARCHAR (255) NULL,
    [C5]                         NVARCHAR (255) NULL,
    [C6]                         NVARCHAR (255) NULL,
    [C7]                         NVARCHAR (255) NULL,
    [Location]                   NVARCHAR (255) NULL,
    [BLOODGROUP]                 NVARCHAR (255) NULL,
    [WorkPlace]                  NVARCHAR (255) NULL,
    [ExtensionNo]                NVARCHAR (255) NULL,
    [LoginName]                  NVARCHAR (255) NULL,
    [LoginPassword]              NVARCHAR (255) NULL,
    [Grade]                      NVARCHAR (255) NULL,
    [Team]                       NVARCHAR (255) NULL,
    [IsRecieveNotification]      INT            NULL,
    [HolidayGroup]               INT            NULL,
    [ShiftGroupId]               INT            NULL,
    [LastModifiedBy]             NVARCHAR (50)  NULL,
    [ShiftRotationMasterId]      INT            NULL,
    [ReportTo]                   VARCHAR (500)  NULL,
    [ShiftType]                  VARCHAR (50)   NULL,
    [OfficialPhone]              VARCHAR (50)   NULL,
    [OfficialMobile]             VARCHAR (50)   NULL,
    [PersonaleMailID]            VARCHAR (50)   NULL,
    [UIDNo]                      VARCHAR (50)   NULL,
    [PANNo]                      VARCHAR (50)   NULL,
    [VoterIdNo]                  VARCHAR (50)   NULL,
    [MultiShiftGroupId]          INT            NULL,
    [LastUpdatedOn]              DATETIME       NULL,
    [EffectiveFrom]              DATETIME       NULL,
    [AndroidDeviceIMEINo]        VARCHAR (50)   NULL,
    [IsMarkAndroidWebAttendance] INT            NULL,
    [PushNotificationId]         VARCHAR (50)   NULL,
    [IsSendApproveDeclineSMS]    INT            NULL,
    [IsSendPushNotification]     INT            NULL
);
GO

CREATE TABLE [dbo].[HolidayGroups] (
    [HolidayGroupId]   INT            IDENTITY (1, 1) NOT NULL,
    [HolidayGroupCode] VARCHAR (50)   NULL,
    [Description]      VARCHAR (1000) NULL,
    [HolidayGroupName] VARCHAR (50)   NULL
);
GO

CREATE TABLE [dbo].[MultiShiftGroups] (
    [MultiShiftGroupId]    INT           IDENTITY (1, 1) NOT NULL,
    [MultiShiftGroupSName] VARCHAR (50)  NULL,
    [Description]          VARCHAR (200) NULL,
    [MultiShiftGroupFName] VARCHAR (50)  NULL,
    [ShiftIds]             VARCHAR (200) NULL
);
GO

CREATE TABLE [dbo].[Designations](
	[DesignationId] [int] IDENTITY(1,1) NOT NULL,
	[DesignationsName] [nvarchar](50) NOT NULL,
	[DesignationCode] [nvarchar](50) NOT NULL,
	[NormalNoticePeriodRequired] [int] NOT NULL,
	[ProbationNoticePeriodRequired] [int] NOT NULL,
 CONSTRAINT [PK_Designations] PRIMARY KEY CLUSTERED 
(
	[DesignationId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[Locations](
	[LocationId] [int] IDENTITY(1,1) NOT NULL,
	[LocationName] [varchar](50) NOT NULL,
	[LocationCode] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Locations] PRIMARY KEY CLUSTERED 
(
	[LocationId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Default [DF_UserPermissions_UserId]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[UserPermissions] ADD  CONSTRAINT [DF_UserPermissions_UserId]  DEFAULT ((0)) FOR [UserId]
GO
/****** Object:  Default [DF_UserPermissions_PermissionId]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[UserPermissions] ADD  CONSTRAINT [DF_UserPermissions_PermissionId]  DEFAULT ((0)) FOR [PermissionId]
GO
/****** Object:  Default [DF_Users_RecordStatus]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[SystemUsers] ADD  CONSTRAINT [DF_Users_RecordStatus]  DEFAULT ((1)) FOR [RecordStatus]
GO
/****** Object:  Default [DF_Shifts_Break1]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Shifts] ADD  CONSTRAINT [DF_Shifts_Break1]  DEFAULT ((0)) FOR [Break1]
GO
/****** Object:  Default [DF_Shifts_Break2]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Shifts] ADD  CONSTRAINT [DF_Shifts_Break2]  DEFAULT ((0)) FOR [Break2]
GO
/****** Object:  Default [DF_Shifts_ShiftDuration]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Shifts] ADD  CONSTRAINT [DF_Shifts_ShiftDuration]  DEFAULT ((0)) FOR [ShiftDuration]
GO
/****** Object:  Default [DF_Shifts_Break1Duration]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Shifts] ADD  CONSTRAINT [DF_Shifts_Break1Duration]  DEFAULT ((0)) FOR [Break1Duration]
GO
/****** Object:  Default [DF_Shifts_Break2Duration]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Shifts] ADD  CONSTRAINT [DF_Shifts_Break2Duration]  DEFAULT ((0)) FOR [Break2Duration]
GO
/****** Object:  Default [DF_Shifts_RecordStatus]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Shifts] ADD  CONSTRAINT [DF_Shifts_RecordStatus]  DEFAULT ((1)) FOR [RecordStatus]
GO
/****** Object:  Default [DF__Shifts__PunchBeg__4AB81AF0]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Shifts] ADD  CONSTRAINT [DF__Shifts__PunchBeg__4AB81AF0]  DEFAULT ((0)) FOR [PunchBeginDuration]
GO
/****** Object:  Default [DF__Shifts__PunchEnd__4BAC3F29]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Shifts] ADD  CONSTRAINT [DF__Shifts__PunchEnd__4BAC3F29]  DEFAULT ((0)) FOR [PunchEndDuration]
GO
/****** Object:  Default [DF_MasterSettings_IsAutoShift]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[MasterSettings] ADD  CONSTRAINT [DF_MasterSettings_IsAutoShift]  DEFAULT ((0)) FOR [IsAutoShift]
GO
/****** Object:  Default [DF_MasterSettings_TrialDate]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[MasterSettings] ADD  CONSTRAINT [DF_MasterSettings_TrialDate]  DEFAULT ('') FOR [TrialDate]
GO
/****** Object:  Default [DF_Holidays_RecordStatus]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Holidays] ADD  CONSTRAINT [DF_Holidays_RecordStatus]  DEFAULT ((1)) FOR [RecordStatus]
GO
/****** Object:  Default [DF_SpecialEntries_Duration]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[EmployeeSpecialEntries] ADD  CONSTRAINT [DF_SpecialEntries_Duration]  DEFAULT ((0)) FOR [Duration]
GO
/****** Object:  Default [DF_Employees_DOJ]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_DOJ]  DEFAULT ('1900-01-01') FOR [DOJ]
GO
/****** Object:  Default [DF_Employees_DOR]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_DOR]  DEFAULT ('1900-01-01') FOR [DOR]
GO
/****** Object:  Default [DF_Employees_DOC]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_DOC]  DEFAULT ('1900-01-01') FOR [DOC]
GO
/****** Object:  Default [DF_Employees_EmployeeDevicePassword]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_EmployeeDevicePassword]  DEFAULT ('') FOR [EmployeeDevicePassword]
GO
/****** Object:  Default [DF_Employees_EmployeeDeviceGroup]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_EmployeeDeviceGroup]  DEFAULT ((1)) FOR [EmployeeDeviceGroup]
GO
/****** Object:  Default [DF_Employees_FatherName]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_FatherName]  DEFAULT ('') FOR [FatherName]
GO
/****** Object:  Default [DF_Employees_MotherName]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_MotherName]  DEFAULT ('') FOR [MotherName]
GO
/****** Object:  Default [DF_Employees_ResidentialAddress]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_ResidentialAddress]  DEFAULT ('') FOR [ResidentialAddress]
GO
/****** Object:  Default [DF_Employees_PermanentAddress]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_PermanentAddress]  DEFAULT ('') FOR [PermanentAddress]
GO
/****** Object:  Default [DF_Employees_ContactNo]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_ContactNo]  DEFAULT ('') FOR [ContactNo]
GO
/****** Object:  Default [DF_Employees_Email]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_Email]  DEFAULT ('') FOR [Email]
GO
/****** Object:  Default [DF_Employees_DOB]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_DOB]  DEFAULT ('1900-01-01') FOR [DOB]
GO
/****** Object:  Default [DF_Employees_PlaceOfBirth]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_PlaceOfBirth]  DEFAULT ('') FOR [PlaceOfBirth]
GO
/****** Object:  Default [DF_Employees_Nomenee1]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_Nomenee1]  DEFAULT ('') FOR [Nomenee1]
GO
/****** Object:  Default [DF_Employees_Nomenee2]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_Nomenee2]  DEFAULT ('') FOR [Nomenee2]
GO
/****** Object:  Default [DF_Employees_Remarks]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_Remarks]  DEFAULT ('') FOR [Remarks]
GO
/****** Object:  Default [DF_Employees_RecordStatus]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Employees] ADD  CONSTRAINT [DF_Employees_RecordStatus]  DEFAULT ((1)) FOR [RecordStatus]
GO
/****** Object:  Default [DF_LeaveEntries_LeaveTypeId]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[EmployeeLeaveEntries] ADD  CONSTRAINT [DF_LeaveEntries_LeaveTypeId]  DEFAULT ((0)) FOR [LeaveTypeId]
GO
/****** Object:  Default [DF_Devices_LastLogDownloadDate]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Devices] ADD  CONSTRAINT [DF_Devices_LastLogDownloadDate]  DEFAULT ('1900-01-01 00:00') FOR [LastLogDownloadDate]
GO
/****** Object:  Default [DF__Devices__Transac__1A14E395]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Devices] ADD  CONSTRAINT [DF__Devices__Transac__1A14E395]  DEFAULT ('0') FOR [TransactionStamp]
GO
/****** Object:  Default [DF_CompanyDepartmentShifts_LastModifiedDate]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[DepartmentShifts] ADD  CONSTRAINT [DF_CompanyDepartmentShifts_LastModifiedDate]  DEFAULT ('1900-01-01') FOR [LastModifiedDate]
GO
/****** Object:  Default [DF_Departments_RecordStatus]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Departments] ADD  CONSTRAINT [DF_Departments_RecordStatus]  DEFAULT ((1)) FOR [RecordStatus]
GO
/****** Object:  Default [DF_Companies_RecordStatus]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Companies] ADD  CONSTRAINT [DF_Companies_RecordStatus]  DEFAULT ((1)) FOR [RecordStatus]
GO
/****** Object:  Default [DF_Categories_OTFormula]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_OTFormula]  DEFAULT ('OT Not Applicable') FOR [OTFormula]
GO
/****** Object:  Default [DF_Categories_MinOT]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_MinOT]  DEFAULT ((0)) FOR [MinOT]
GO
/****** Object:  Default [DF_Categories_IsMaxOT]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsMaxOT]  DEFAULT ((0)) FOR [IsMaxOT]
GO
/****** Object:  Default [DF_Categories_MaxOT]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_MaxOT]  DEFAULT ((0)) FOR [MaxOT]
GO
/****** Object:  Default [DF_Categories_IsConsiderFirstAndLastPunch]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsConsiderFirstAndLastPunch]  DEFAULT ((0)) FOR [IsConsiderFirstAndLastPunch]
GO
/****** Object:  Default [DF_Categories_GraceTimeForLateComing]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_GraceTimeForLateComing]  DEFAULT ((0)) FOR [GraceTimeForLateComing]
GO
/****** Object:  Default [DF_Categories_GracetimeForEarlyGoing]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_GracetimeForEarlyGoing]  DEFAULT ((0)) FOR [GracetimeForEarlyGoing]
GO
/****** Object:  Default [DF_Categories_IsNeglectLastInPunch]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsNeglectLastInPunch]  DEFAULT ((0)) FOR [IsNeglectLastInPunch]
GO
/****** Object:  Default [DF_Categories_IsWeeklyOff1]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsWeeklyOff1]  DEFAULT ((0)) FOR [IsWeeklyOff1]
GO
/****** Object:  Default [DF_Categories_WeeklyOff1Day]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_WeeklyOff1Day]  DEFAULT ('Sunday') FOR [WeeklyOff1Day]
GO
/****** Object:  Default [DF_Categories_IsWeeklyOff2]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsWeeklyOff2]  DEFAULT ((0)) FOR [IsWeeklyOff2]
GO
/****** Object:  Default [DF_Categories_WeeklyOff2Day]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_WeeklyOff2Day]  DEFAULT ('Saturday') FOR [WeeklyOff2Day]
GO
/****** Object:  Default [DF_Categories_WeeklyOff2days]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_WeeklyOff2days]  DEFAULT ('1,2,3,4,5,') FOR [WeeklyOff2days]
GO
/****** Object:  Default [DF_Categories_IsConsiderEarlyComingPunch]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsConsiderEarlyComingPunch]  DEFAULT ((0)) FOR [IsConsiderEarlyComingPunch]
GO
/****** Object:  Default [DF_Categories_IsDeductBreakHourFromWorkDuration]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsDeductBreakHourFromWorkDuration]  DEFAULT ((0)) FOR [IsDeductBreakHourFromD]
GO
/****** Object:  Default [DF_Categories_IsCalculateHalfForLessWorkDuration]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsCalculateHalfForLessWorkDuration]  DEFAULT ((0)) FOR [IsCHalfForLessD]
GO
/****** Object:  Default [DF_Categories_CalculateHalfForLessWorkDurationMins]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_CalculateHalfForLessWorkDurationMins]  DEFAULT ((0)) FOR [CHalfForLessDMins]
GO
/****** Object:  Default [DF_Categories_IsCalculateAbsentWorkdurationisLessThan]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsCalculateAbsentWorkdurationisLessThan]  DEFAULT ((0)) FOR [IsCAbsentDisLessThan]
GO
/****** Object:  Default [DF_Categories_CalculateAbsentWorkdurationisLessThanMins]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_CalculateAbsentWorkdurationisLessThanMins]  DEFAULT ((0)) FOR [CAbsentDisLessThanMins]
GO
/****** Object:  Default [DF_Categories_IsCalculateHalfForLessWorkDuration_PartialDay]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsCalculateHalfForLessWorkDuration_PartialDay]  DEFAULT ((0)) FOR [IsCHalfForLessD_P]
GO
/****** Object:  Default [DF_Categories_CalculateHalfForLessWorkDurationMins_PartialDay]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_CalculateHalfForLessWorkDurationMins_PartialDay]  DEFAULT ((0)) FOR [CHalfForLessDMins_P]
GO
/****** Object:  Default [DF_Categories_IsCalculateAbsentWorkdurationisLessThan_PartialDay]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsCalculateAbsentWorkdurationisLessThan_PartialDay]  DEFAULT ((0)) FOR [IsCAbsentDisLessThan_P]
GO
/****** Object:  Default [DF_Categories_CalculateAbsentWorkdurationisLessThanMins_PartialDay]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_CalculateAbsentWorkdurationisLessThanMins_PartialDay]  DEFAULT ((0)) FOR [CAbsentDisLessThanMins_P]
GO
/****** Object:  Default [DF_Categories_IsPrefixMarkWOAndHAbsent]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsPrefixMarkWOAndHAbsent]  DEFAULT ((0)) FOR [IsPrefixMarkWOAndHAbsent]
GO
/****** Object:  Default [DF_Categories_IsSuffixMarkWOAndHAbsent]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsSuffixMarkWOAndHAbsent]  DEFAULT ((0)) FOR [IsSuffixMarkWOAndHAbsent]
GO
/****** Object:  Default [DF_Categories_IsBothMarkWOAndHAbsent]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsBothMarkWOAndHAbsent]  DEFAULT ((0)) FOR [IsBothMarkWOAndHAbsent]
GO
/****** Object:  Default [DF_Categories_IsMark]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsMark]  DEFAULT ((0)) FOR [IsMark]
GO
/****** Object:  Default [DF_Categories_AbsentType]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_AbsentType]  DEFAULT ('Absent') FOR [AbsentType]
GO
/****** Object:  Default [DF_Categories_LateDay]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_LateDay]  DEFAULT ((3)) FOR [LateDay]
GO
/****** Object:  Default [DF_Categories_IsMarkHalfDay_LateBy]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsMarkHalfDay_LateBy]  DEFAULT ((0)) FOR [IsMarkHalfDay_LateBy]
GO
/****** Object:  Default [DF_Categories_MarkHalfDay_LateByMins]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_MarkHalfDay_LateByMins]  DEFAULT ((0)) FOR [MarkHalfDay_LateByMins]
GO
/****** Object:  Default [DF_Categories_IsMarkHalfDay_EarlyGoing]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_IsMarkHalfDay_EarlyGoing]  DEFAULT ((0)) FOR [IsMarkHalfDay_EarlyGoing]
GO
/****** Object:  Default [DF_Categories_MarkHalfDay_EarlyGoing]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_MarkHalfDay_EarlyGoing]  DEFAULT ((0)) FOR [MarkHalfDay_EarlyGoing]
GO
/****** Object:  Default [DF_Categories_RecordStatus]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_RecordStatus]  DEFAULT ((1)) FOR [RecordStatus]
GO
/****** Object:  Default [DF_AttendanceLogs_Duration]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[AttendanceLogs] ADD  CONSTRAINT [DF_AttendanceLogs_Duration]  DEFAULT ((0)) FOR [Duration]
GO
/****** Object:  Default [DF_AttendanceLogs_LateBy]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[AttendanceLogs] ADD  CONSTRAINT [DF_AttendanceLogs_LateBy]  DEFAULT ((0)) FOR [LateBy]
GO
/****** Object:  Default [DF_AttendanceLogs_EarlyBy]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[AttendanceLogs] ADD  CONSTRAINT [DF_AttendanceLogs_EarlyBy]  DEFAULT ((0)) FOR [EarlyBy]
GO
/****** Object:  Default [DF_AttendanceLogs_WeeklyOff]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[AttendanceLogs] ADD  CONSTRAINT [DF_AttendanceLogs_WeeklyOff]  DEFAULT ((0)) FOR [WeeklyOff]
GO
/****** Object:  Default [DF_AttendanceLogs_Holiday]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[AttendanceLogs] ADD  CONSTRAINT [DF_AttendanceLogs_Holiday]  DEFAULT ((0)) FOR [Holiday]
GO
/****** Object:  Default [DF_AttendanceLogs_ShiftId]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[AttendanceLogs] ADD  CONSTRAINT [DF_AttendanceLogs_ShiftId]  DEFAULT ((0)) FOR [ShiftId]
GO
/****** Object:  Default [DF_AttendanceLogs_Present]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[AttendanceLogs] ADD  CONSTRAINT [DF_AttendanceLogs_Present]  DEFAULT ((0)) FOR [Present]
GO
/****** Object:  Default [DF_AttendanceLogs_Absent]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[AttendanceLogs] ADD  CONSTRAINT [DF_AttendanceLogs_Absent]  DEFAULT ((0)) FOR [Absent]
GO
/****** Object:  Default [DF_AttendanceLogs_OverTime]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[AttendanceLogs] ADD  CONSTRAINT [DF_AttendanceLogs_OverTime]  DEFAULT ((0)) FOR [OverTime]
GO
/****** Object:  Default [DF_AttendanceLogs_OverTimeE]    Script Date: 03/30/2015 21:00:27 ******/
ALTER TABLE [dbo].[AttendanceLogs] ADD  CONSTRAINT [DF_AttendanceLogs_OverTimeE]  DEFAULT ((0)) FOR [OverTimeE]
GO
INSERT INTO [dbo].[Categories]( [CategoryName], [CategorySName], [OTFormula], [MinOT], [IsMaxOT], [MaxOT], [IsConsiderFirstAndLastPunch], [GraceTimeForLateComing], [GracetimeForEarlyGoing], [IsNeglectLastInPunch], [IsWeeklyOff1], [WeeklyOff1Day], [IsWeeklyOff2], [WeeklyOff2Day], [WeeklyOff2days], [IsConsiderEarlyComingPunch], [IsConsiderLateGoingPunch], [IsDeductBreakHourFromD], [IsCHalfForLessD], [CHalfForLessDMins], [IsCAbsentDisLessThan], [CAbsentDisLessThanMins], [IsCHalfForLessD_P], [CHalfForLessDMins_P], [IsCAbsentDisLessThan_P], [CAbsentDisLessThanMins_P], [IsPrefixMarkWOAndHAbsent], [IsSuffixMarkWOAndHAbsent], [IsBothMarkWOAndHAbsent], [IsMark], [AbsentType], [LateDay], [IsMarkHalfDay_LateBy], [MarkHalfDay_LateByMins], [IsMarkHalfDay_EarlyGoing], [MarkHalfDay_EarlyGoing], [RecordStatus], [ForSinglePunch], [ConsiderWP_HPInOT], [IsCalculateHalfCompOff], [IsCalculateNoCompOff], [CalculateHalfCompOffMins], [CalculateNoCompOffMins])
SELECT  N'Default', N'Default', N'Total Duration - Shift Hours', 0, 0, 20, 1, 0, 0, 0, 0, N'Saturday', 0, N'Sunday', N'1,2,3,4,5,', 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, N'Half Day', 1, 0, 0, 0, 0, 1, N'In punch + 1 mins', 0, 0, 0, 0, 0
GO

INSERT INTO [dbo].[Companies]( [CompanyFName], [CompanySName], [CompanyAddress], [CompanyIsVisible], [CompanyeMail], [CompanyWebsite], [RecordStatus])
SELECT  N'Default', N'Default', N'', 1, N'default@default.com', N'', 1
GO
INSERT INTO [dbo].[CustomizeFormatSettings]([IsEtimeTrackLiteFormat], [DataField1], [DataField2], [DataField3], [DataField4], [DataField5], [DataField6], [DataField7], [DataField8], [DataField9], [DataField1Header], [DataField2Header], [DataField3Header], [DataField4Header], [DataField5Header], [DataField6Header], [DataField7Header], [DataField8Header], [DataField9Header], [DataField1Format], [DataField2Format], [DataField3Format], [DataField4Format], [DataField5Format], [DataField6Format], [DataField7Format], [DataField8Format], [DataField9Format], [DataField1PrefixText], [DataField2PrefixText], [DataField3PrefixText], [DataField4PrefixText], [DataField5PrefixText], [DataField6PrefixText], [DataField7PrefixText], [DataField8PrefixText], [DataField9PrefixText], [InText], [OutText], [BreakInText], [BreakOutText], [ShowHeader], [FileNameFormat], [IsPrefix], [PrefixText], [FileExtension], [FieldSeparator], [CreateFileLastDownload], [LastLogDownloadDate])
SELECT 0, N'EmployeeCode', N'LogDate', N'LogDate', N'Direction', N'None', N'None', N'None', N'None', N'None', N'EmployeeCode', N'LogDate', N'Direction', N'None', N'None', N'None', N'None', N'None', N'None', N'8', N'yyyyMMdd', N'HH:mm:ss', N'0', N'0', N'0', N'0', N'0', N'0', N'', N'', N'', N'', N'', N'', N'', N'', N'', N',,P10', N',,P20', N'2', N'3', 1, N'yyyyMMdd', 0, N'e', N'csv', N'Tab', NULL, NULL
GO
INSERT INTO [dbo].[CustomizeReport]( [Group1], [Group2], [Field1], [Field2], [Field3], [Field4], [Field5], [Field6], [Field7], [Field8], [Field9], [Field10], [Field11], [Field12], [Field13], [Field14], [Field15], [Field16], [Field17], [Field18], [Field19], [Field20], [Field21], [Field22], [Field23], [Field24], [Field25], [Field26], [Field27], [Field28], [Field29], [Field30], [Field31])
SELECT  N'AttendanceDate', N'DepartmentSName', N'false$AttendanceDate$Attendance Date', N'false$EmployeeCode$Employee Code', N'false$EmployeeName$Employee Name', N'false$DepartmentSName$Department', N'false$Designation$Designation', N'false$DOJ$DOJ', N'false$DOR$DOR', N'false$EmployementType$EmployementType', N'false$Location$Location', N'false$Grade$Grade', N'false$Team$Team', N'false$ShiftName$Shift Name', N'false$ShiftCode$Shift Code', N'false$BeginTime$Begin Time', N'false$EndTime$End Time', N'false$InTime$In Time', N'false$OutTime$Out Time', N'false$Duration$Duration', N'false$LateBy$LateBy', N'false$EarlyBy$EarlyBy', N'false$LeaveType$LeaveType', N'false$LeaveStatus$Leave Status', N'false$LeaveRemarks$Leave Remarks', N'false$IsonSpecialOff$IsonSpecialOff', N'false$PunchRecords$Punch Records', N'false$P1Status$P1Status', N'false$P2Status$P2Status', N'false$P3Status$P3Status', N'false$OverTime$Over Time', N'false$Status$Status', N'false$StatusCode$StatusCode'
GO
INSERT INTO [dbo].[CustomizeStatusCode]([MainStatusCode], [CustomStatusCode])
SELECT  N'P', N'P' UNION ALL
SELECT  N'HP', N'HP' UNION ALL
SELECT N'WOP', N'WOP' UNION ALL
SELECT  N'A', N'A' UNION ALL
SELECT N'COFF', N'COFF' UNION ALL
SELECT  N'RH', N'RH'
GO
INSERT INTO [dbo].[Departments]( [DepartmentFName], [DepartmentSName], [Description], [RecordStatus])
SELECT  N'Default', N'Default', N'', 1
GO
INSERT INTO [dbo].[Devices]( [DeviceFName], [DeviceSName], [DeviceDirection], [SerialNumber], [ConnectionType], [IpAddress], [BaudRate], [ComPort], [LastLogDownloadDate], [CommKey], [TransactionStamp], [LastPing], [DeviceType], [OpStamp], [DownLoadType], [Timezone], [DeviceLocation], [TimeOut], [IsRealTime], [TransTimes], [TransInterval], [DeviceVendor], [DeviceInfo], [TransFlag], [MasterDeviceId], [CompanyId])
SELECT  N'Leave Device', N'Leave Device', N'In Device', N'12345678', N'Tcp\IP', N'192.168.1.1', N'', N'', '20130517 13:44:25.000', N'', N'0', NULL, N'Leave', N'', NULL, N'', N'', N'', NULL, NULL, NULL, N'Identix', N'', NULL, 0, 0 UNION ALL
SELECT  N'Special Off Device', N'Special Off Device', N'In Device', N'12345678', N'Tcp\IP', N'192.168.1.1', N'', N'', '20130517 13:44:25.000', N'', N'0', NULL, N'SpecialOff', N'', NULL, N'', N'', N'', NULL, NULL, NULL, N'Identix', N'', NULL, 0, 0 UNION ALL
SELECT  N'Absent Device', N'Absent Device', N'', N'', N'', N'''''', N'''''', N'''''', '20130517 13:44:25.000', N'', N'0', NULL, N'', N'', NULL, N'', N'', N'', NULL, NULL, NULL, N'Identix', N'', NULL, 0, 0 UNION ALL
SELECT  N'System Entry', N'SE', N'', N'', N'', N'''''', N'''''', N'''''', '20130517 13:44:25.000', N'', N'0', NULL, N'', N'', NULL, N'', N'', N'', NULL, NULL, NULL, N'Identix', N'', NULL, 0, 0 UNION ALL
SELECT  N'Manual Entry(Attendance)', N'ME(Attendance)', N'inout', N'', N'Tcp/IP', N'', N'', N'', '20130517 13:44:25.000', N'0', N'0', '19000101 00:00:00.000', N'Attendance', N'', 1, N'330', N'', N'300', NULL, NULL, NULL, N'Identix', N'', NULL, 0, 0
GO
INSERT INTO [dbo].[DeviceSettings]([IsAutoDownLoading], [IsAutoClearLogs], [IsDownLoadingFromBegining], [DownloadInterval], [CheckedDeviceIds], [IsParallelDatabaseDownload])
SELECT 0, 0, 0, 10, N'', NULL
GO
INSERT INTO [dbo].[ExcelAttendanceLogs_Report]( [Field1], [Field2], [Field3], [Field4], [Field5], [Field6], [Field7], [Field8], [Field9], [Field10], [Field11], [Field12], [Field13], [Field14], [Field15], [Field16], [Field17], [Field18], [Field19], [Field20], [Field21], [Field22], [Field23], [Field24], [Field25], [Field26], [Field27], [Field28], [Field29], [Field30], [Field31], [Field32], [Field33], [FileNameFormat], [IsPrefixText], [PrefixText], [FileExtension])
SELECT  N'false$SerialNumber$Sl No', N'True$AttendanceDate$Attendance Date', N'True$EmployeeCode$Employee Code', N'True$EmployeeName$Employee Name', N'True$DepartmentSName$Department', N'false$Designation$Designation', N'false$DOJ$DOJ', N'false$DOR$DOR', N'false$EmployementType$EmployementType', N'false$Location$Location', N'false$Grade$Grade', N'false$Team$Team', N'false$ShiftName$Shift Name', N'True$ShiftCode$Shift Code', N'True$BeginTime$Begin Time', N'True$EndTime$End Time', N'True$InTime$In Time', N'True$OutTime$Out Time', N'True$Duration$Duration', N'True$LateBy$LateBy', N'True$EarlyBy$EarlyBy', N'false$LeaveType$LeaveType', N'false$LeaveStatus$Leave Status', N'false$LeaveRemarks$Leave Remarks', N'false$IsonSpecialOff$IsonSpecialOff', N'false$PunchRecords$Punch Records', N'false$P1Status$P1Status', N'false$P2Status$P2Status', N'false$P3Status$P3Status', N'True$OverTime$Over Time', N'True$AttStatus$Att Status', N'True$StatusCode$Status Code', N'false$EarlyIN$Early IN', NULL, NULL, NULL, NULL
GO
INSERT INTO [dbo].[ExcelDeviceLogs_Report]( [Field1], [Field2], [Field3], [Field4], [Field5], [Field6], [Field7], [Field8], [Field9], [FileNameFormat], [IsPrefixText], [PrefixText], [FileExtension], [Field10], [Field11], [Field12], [FieldSeprator])
SELECT  N'True$SerialNumber$Sl No$$', N'True$DownloadDate$Download Date$$', N'True$EmployeeCode$Employee Code$$', N'True$EmployeeName$Employee Name$$', N'True$DeviceSName$Device$$', N'True$LogDate$LogDate$$', N'True$AttDirection$AttDirection$$', N'false$WorkCode$WorkCode$$', N'false$VerificationMode$VerificationMode$$', NULL, NULL, NULL, NULL, N'False$LogDate$LogDateTime$$', N'False$LogDate$LogTime', NULL, NULL
GO
INSERT INTO [dbo].[LeaveTypes]( [LeaveTypeName], [LeaveTypeCode], [CarryForwardLimit], [Gender], [YearlyLimit], [Description], [IsAllowNegativeBalance], [RecordStatus], [AllotOnMonthDay], [AllotmentType], [IsLeaveEncashment], [LeaveEncashmentMinBalance], [IsLossOfPay], [AllotFrom], [AllotAfterDaysEmployment], [IncreaseLeaveBy], [EmploymentCompleted], [AvailFrom], [AvailAfterDaysEmployment], [LastLeaveCreditedOn], [LeaveTypeEffFrom], [GraceDaysForConfirmation], [GraceDaysEmploymentCompleted])
SELECT  N'Restricted Holiday', N'RHO', 0, N'All', 5, N'', 0, 1, N'1', N'Yearly', 0, 0, 0, N'JoiningDate', 0, 0, 0, N'ConfirmationDate', 0, '20150101 00:00:00.000', N'2015-01-1', 0, 0 UNION ALL
SELECT  N'Comp Off', N'COFF', 0, N'All', 0, N'', 0, 1, N'1', N'Yearly', 0, 0, 0, N'JoiningDate', 0, 0, 0, N'JoiningDate', 0, '20140101 00:00:00.000', N'2014-01-01', 0, 0 UNION ALL
SELECT  N'Casual Leave', N'CL', 5, N'All', 10, N'', 1, 1, N'1', N'Yearly', 0, 0, 0, N'JoiningDate', 0, 0, 0, N'ConfirmationDate', 0, '20150101 00:00:00.000', N'2015-01-1', 0, 0 UNION ALL
SELECT  N'Paid Leave', N'PL', 5, N'All', 10, N'', 1, 1, N'1', N'Yearly', 0, 0, 0, N'JoiningDate', 0, 0, 0, N'AfterEmploymentCompleted', 300, '20150101 00:00:00.000', N'2015-01-1', 0, 0 UNION ALL
SELECT  N'Sick Leave', N'SL', 0, N'All', 10, N'', -1, 1, N'1', N'Yearly', 0, 0, 0, N'JoiningDate', 0, 0, 0, N'JoiningDate', 0, '20140101 00:00:00.000', N'2014-01-01', 0, 0
GO
INSERT INTO [dbo].[MailDetails]( [email], [SMTPHost], [Port], [EnableSSL], [SMTPUserName], [SMTPPassword])
SELECT  N'a@a.com', N'SMTPHost', N'0', 0, N'SMTPUserName', N'SMTPPassword'
GO
INSERT INTO [dbo].[MasterSettings]( [IsAlphaNumericEmployeeCode], [IsFixedShift], [ShiftBeginTime], [ShiftEndTime], [IsDeviceCodeSame], [AttendanceYearStartOn], [LiecenceKey], [PunchBeginDuration], [Version], [MinDiffBetweenTwoPunch], [IsAutoShift], [MemoLateEarlySubject], [MemoMissedPunchSubject], [MemoSignature], [MemoAbsentText], [MemoLateEarlyText], [MemoMissedPunchText], [MemoAbsentSubject], [MemoHalfDayForLateEarlySubject], [MemoHalfDayForLateEarlyText], [TrialDate], [IsAutoBackUp], [AutoBackuppath], [BackupDays], [LastBackupDate], [RestrictedHolidayLimit], [Duration_LateBy_EarlyByInMins], [EmployeePhotoRepository], [EmployeeDocumentRepository], [IsUsePushDataCollectorService])
SELECT  0, 1, N'09:30', N'18:30', 0, N'26-Jun', N'', 0, N'Identix Smart Office Suite 7.0', 0, 1, N'LATE-COMING/EARLY-GOING NOTICE/MEMO.', N'MISSED OUT PUNCH NOTICE/MEMO.', N'Administrator', N'It has been observed from the Attendance Record that you were Absent from the duty unauthorisedly i.e. without permission on below said attendance date. Please give an explanation to the Authorised person immediately.', N'It has been observed from the Attendance Record that you were  Coming Late or Going Early from the duty unauthorisedly i.e. without permission on below said attendance date. Please give an explanation to the Authorised person immediately.', N'It  has been observed from the Attendance Record that you are not punching properly which is resulting into Missed Out Punch records in our attendance reports. Kindly explain the reason and co-operate with us to know exact out punch.', N'ABSENTEEISM NOTICE/MEMO.', N'HALF DAY FOR LATE-COMING/EARLY-GOING NOTICE/MEMO.', N'It has been observed from the Attendance Record that you were late coming/early going unauthorisedly i.e. without permission on below said attendance date. Hence, we have marked you as Half day.', N'', NULL, NULL, NULL, NULL, 5, NULL, N'D:\Time Trax\Identix_Web\Employee Photos', N'D:\Time Trax\Identix_Web\EmployeesDocuments', 1
GO
update MasterSettings set TrialDate=''
GO

INSERT INTO [dbo].[MultiShifts]( [MultiShiftName], [MultiShiftCode], [MultiShiftBeginTime], [MultiShiftEndTime], [MultiShiftDuration], [RecordStatus], [PunchBeginDuration], [PunchEndDuration], [IsGraceTimeApplicable], [GraceTime], [IsPunchBeginDuration], [IsPunchEndDuration])
SELECT  N'No Shift', N'NS', N'00:00', N'00:00', 0, 1, 0, 0, 0, N'0', 0, 0 UNION ALL
SELECT  N'Weekly Off', N'WO', N'00:00', N'00:00', 0, 1, 0, 0, 0, N'0', 0, 0 UNION ALL
SELECT  N'Holiday', N'H', N'00:00', N'00:00', 0, 1, 0, 0, 0, N'0', 0, 0
GO
INSERT INTO [dbo].[ParallelDatabaseExportDetails]([IsParallelDatabaseExport], [DatabaseType], [Authentication], [DatabaseServer], [DatabaseName], [UserName], [DatabasePassword], [ServiceName], [PortNumber], [FilePath], [TableNameMappedField], [EmployeeCodeMappedField], [EmployeeCodeLength], [IsEmployeeCodePrefix], [EmployeeCodePrefixText], [LogDateMappedField], [LogDateFormat], [PunchDirectionMappedField], [PunchDirectionInName], [PunchDirectionOutName], [WorkCodeMappedField], [DownloadDateMappedField], [DownloadDateFormat], [ReservedField1MappedField], [ReservedField1MappedFieldValue], [ReservedField2MappedField], [ReservedField2MappedFieldValue], [ReservedField3MappedField], [ReservedField3MappedFieldValue], [LogTimeMappedField], [LogTimeFormat], [LogDateTimeMappedField], [LogDateTimeFormat], [RFIDMappedField], [DeviceNameMappedField], [DeviceIdMappedField], [DeviceIdPrefixLength], [DeviceIdPrefixText], [RFIDNoWithIssueNoMappedField], [RFIDIssueNoMappedField], [EmpCodeFieldName], [IsEmpCodePrefixText], [EmpCodePrefixLength], [EmpCodePrefixText], [IsEmpDeviceCodeUnique], [IsEmpCodeUnique], [IsLogDateUnique], [IsLogTimeUnique], [IsLogDateTimeUnique], [IsRFIDUnique], [IsRFIDNoWithIssueNoUnique])
SELECT 0, N'SQL Server', N'Windows Autentication', N'LocalHost', N'', N'identix', N'identix', N'XE', N'1521', N'', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, N'', N'', N'', N'', 0, 1, N'', 0, 0, 0, 0, 0, 0, NULL
GO
INSERT INTO [dbo].[Permissions]([PermissionId], [Permission], [ParentId])
SELECT 1, N'Users', 0 UNION ALL
SELECT 2, N'ViewUsers', 1 UNION ALL
SELECT 3, N'AddUsers', 1 UNION ALL
SELECT 4, N'EditUsers', 1 UNION ALL
SELECT 5, N'DeleteUsers', 1 UNION ALL
SELECT 6, N'MasterSettings', 0 UNION ALL
SELECT 7, N'MailSettings', 0 UNION ALL
SELECT 8, N'Companies', 0 UNION ALL
SELECT 9, N'ViewCompanies', 8 UNION ALL
SELECT 10, N'AddCompanies', 8 UNION ALL
SELECT 11, N'EditCompanies', 8 UNION ALL
SELECT 12, N'DeleteCompanies', 8 UNION ALL
SELECT 13, N'Departments', 0 UNION ALL
SELECT 14, N'ViewDepartments', 13 UNION ALL
SELECT 15, N'AddDepartments', 13 UNION ALL
SELECT 16, N'EditDepartments', 13 UNION ALL
SELECT 17, N'DeleteDepartments', 13 UNION ALL
SELECT 18, N'EmpCategories', 0 UNION ALL
SELECT 19, N'ViewEmpCategories', 18 UNION ALL
SELECT 20, N'AddEmpCategories', 18 UNION ALL
SELECT 21, N'EditEmpCategories', 18 UNION ALL
SELECT 22, N'DeleteEmpCategories', 18 UNION ALL
SELECT 23, N'Shifts', 0 UNION ALL
SELECT 24, N'ViewShifts', 23 UNION ALL
SELECT 25, N'AddShifts', 23 UNION ALL
SELECT 26, N'EditShifts', 23 UNION ALL
SELECT 27, N'DeleteShifts', 23 UNION ALL
SELECT 28, N'ShiftCalendars', 0 UNION ALL
SELECT 29, N'ViewShiftCalendars', 28 UNION ALL
SELECT 30, N'AddShiftCalendars', 28 UNION ALL
SELECT 31, N'EditShiftCalendars', 28 UNION ALL
SELECT 32, N'DeleteShiftCalendars', 28 UNION ALL
SELECT 33, N'Holidays', 0 UNION ALL
SELECT 34, N'ViewHolidays', 33 UNION ALL
SELECT 35, N'AddHolidays', 33 UNION ALL
SELECT 36, N'EditHolidays', 33 UNION ALL
SELECT 37, N'DeleteHolidays', 33 UNION ALL
SELECT 38, N'Employees', 0 UNION ALL
SELECT 39, N'ViewEmployees', 38 UNION ALL
SELECT 40, N'AddEmployees', 38 UNION ALL
SELECT 41, N'EditEmployees', 38 UNION ALL
SELECT 42, N'DeleteEmployees', 38 UNION ALL
SELECT 43, N'LeaveTypes', 0 UNION ALL
SELECT 44, N'ViewLeaveTypes', 43 UNION ALL
SELECT 45, N'AddLeaveTypes', 43 UNION ALL
SELECT 46, N'EditLeaveTypes', 43 UNION ALL
SELECT 47, N'DeleteLeaveTypes', 43 UNION ALL
SELECT 48, N'DepartmentShifts', 0 UNION ALL
SELECT 49, N'ViewDepartmentShifts', 48 UNION ALL
SELECT 50, N'AddDepartmentShifts', 48 UNION ALL
SELECT 51, N'EditDepartmentShifts', 48 UNION ALL
SELECT 52, N'DeleteDepartmentShifts', 48 UNION ALL
SELECT 53, N'EmployeeShifts', 0 UNION ALL
SELECT 54, N'ViewEmployeeShifts', 53 UNION ALL
SELECT 55, N'AddEmployeeShifts', 53 UNION ALL
SELECT 56, N'EditEmployeeShifts', 53 UNION ALL
SELECT 57, N'DeleteEmployeeShifts', 53 UNION ALL
SELECT 58, N'LeaveEntries', 0 UNION ALL
SELECT 59, N'ViewLeaveEntries', 58 UNION ALL
SELECT 60, N'AddLeaveEntries', 58 UNION ALL
SELECT 61, N'EditLeaveEntries', 58 UNION ALL
SELECT 62, N'DeleteLeaveEntries', 58 UNION ALL
SELECT 63, N'OutDoorEntries', 0 UNION ALL
SELECT 64, N'ViewOutDoorEntries', 63 UNION ALL
SELECT 65, N'AddOutDoorEntries', 63 UNION ALL
SELECT 66, N'EditOutDoorEntries', 63 UNION ALL
SELECT 67, N'DeleteOutDoorEntries', 63 UNION ALL
SELECT 68, N'LogRecords', 0 UNION ALL
SELECT 69, N'ViewLogRecords', 68 UNION ALL
SELECT 70, N'AddLogRecords', 68 UNION ALL
SELECT 71, N'EditLogRecords', 68 UNION ALL
SELECT 72, N'DeleteLogRecords', 68 UNION ALL
SELECT 73, N'AttendanceRegister', 0 UNION ALL
SELECT 74, N'LeaveSummary', 0 UNION ALL
SELECT 75, N'AttendanceLogs', 0 UNION ALL
SELECT 76, N'DeviceManagement', 0 UNION ALL
SELECT 77, N'ImportEmployees', 0 UNION ALL
SELECT 78, N'ExportEmployees', 0 UNION ALL
SELECT 82, N'GenerateReports', 0 UNION ALL
SELECT 83, N'Identix Task Manager', 0 UNION ALL
SELECT 84, N'ExportReport', 0 UNION ALL
SELECT 85, N'ShiftRoster', 0 UNION ALL
SELECT 86, N'ViewShiftRoster', 85 UNION ALL
SELECT 87, N'AddShiftRoster', 85 UNION ALL
SELECT 88, N'EditShiftRoster', 85 UNION ALL
SELECT 89, N'DeleteShiftRoster', 85 UNION ALL
SELECT 90, N'Multi Shift', 0 UNION ALL
SELECT 91, N'EmployeeCompOff', 0 UNION ALL
SELECT 92, N'ViewEmployeeCompOff', 91 UNION ALL
SELECT 93, N'AddEmployeeCompOff', 91 UNION ALL
SELECT 94, N'EditEmployeeCompOff', 91 UNION ALL
SELECT 95, N'DeleteEmployeeCompOff', 91 UNION ALL
SELECT 96, N'EmployeeRestrictedHoliday', 0 UNION ALL
SELECT 97, N'ViewEmployeeRestrictedHoliday', 96 UNION ALL
SELECT 98, N'AddEmployeeRestrictedHoliday', 96 UNION ALL
SELECT 99, N'EditEmployeeRestrictedHoliday', 96 UNION ALL
SELECT 100, N'DeleteEmployeeRestrictedHoliday', 96 UNION ALL
SELECT 101, N'TextSMSSettings', 0 UNION ALL
SELECT 102, N'TextSMSLogs', 0 UNION ALL
SELECT 103, N'MemoSettings', 0
GO
INSERT INTO [dbo].[Shifts]( [ShiftName], [ShiftCode], [BeginTime], [EndTime], [Break1], [Break2], [Break1BeginTime], [Break2BeginTime], [Break1EndTime], [Break2EndTime], [ShiftDuration], [Break1Duration], [Break2Duration], [ShiftType], [RecordStatus], [PunchBeginDuration], [PunchEndDuration], [IsGraceTimeApplicable], [GraceTime], [IsPartialDayApplicable], [PartialDay], [PartialDayBeginTime], [PartialDayEndTime], [IsPunchBeginDuration], [IsPunchEndDuration], [IsMarkHalfDayTime], [HalfDayDays], [MarkHalfDayTime])
SELECT  N'Weekly Off', N'WO', N'00:00', N'00:00', 0, 0, N'', N'', N'', N'', 0, 0, 0, N'Shift', 1, 0, 0, 0, N'0', 0, N'Saturday', N'', N'', 0, 0, 0, N'1,2,3,4,5,', N'11:00' UNION ALL
SELECT  N'Fixed Shift', N'FS', N'09:30', N'18:30', 0, 0, N' ', N' ', N' ', N' ', 0, 0, 0, N'Shift', 1, 0, 0, 0, N'', 0, N'Saturday', N'', N'', 0, 0, 0, N'1,2,3,4,5,', N'11:00' UNION ALL
SELECT  N'NoShift', N'NS', N'00:00', N'00:00', 0, 0, N'', N' ', N'', N' ', 0, 0, 0, N'Shift', 1, 0, 0, 0, N'', 0, N'Saturday', N'', N'', 0, 0, 0, N'1,2,3,4,5,', N'11:00' UNION ALL
SELECT  N'Holiday', N'H', N'00:00', N'00:00', 0, 0, N'', N'', N'', N'', 0, 0, 0, N'Shift', 1, 0, 0, 0, N'', 0, N'Saturday', N'', N'', 0, 0, 0, N'1,2,3,4,5,', N'11:00' UNION ALL
SELECT  N'General', N'GS', N'09:15', N'18:30', 0, 0, N'11:30', N'16:00', N'12:00', N'16:30', 555, 0, 0, N'Shift', 1, 0, 0, 0, N'0', 1, N'Monday', N'09:15', N'13:00', 0, 0, 0, N'1,2,3,4,5,', N'11:00'
GO
INSERT INTO [dbo].[SMSSettings]([IsSMSRequired], [SMSText], [IsFirstIn], [FirstInCutOffTime], [IsLastOut], [LastOutCutOffTime], [UserName], [SMSPassword], [SenderId], [IsAllInOutPunches], [SMSURL], [FirstInText], [LastOutText], [AllInOutText], [NoPunchesText], [PresentText], [AbsentText], [SuccessStatusValue], [AppStatus])
SELECT 0, N'This is a message text', -1, N'11:00', 0, N'18:00', N'Identix', N'KrQcDFdU5TM=', N'Identix', NULL, N'http://59.162.167.52/api/MessageCompose?admin=mayank@ampletrails.com&user=$$UserName$$:$$Password$$&senderID=$$SenderId$$&receipientno=$$MobileNumber$$&msgtxt=$$MessageText$$&state=4', N'', N'', N'', N'', N'', N'', NULL, N'0'
GO
INSERT INTO [dbo].[SystemUsers]( [LoginName], [LoginPassword], [RoleName], [IsAdmin], [RecordStatus], [AccessI])
SELECT  N'essl', N'n0vnwBzq+g4=', N'Admin', 1, 1, 0
GO
INSERT INTO [dbo].[WebSMSSettings]([IsAllInOut], [AllInOutStatus], [AllInOutLastRun], [IsPresent], [PresentScheduleTime], [PresentCurrentStatus], [PresentLastRun], [IsAbsent], [AbsentScheduleTime], [AbsentCurrentStatus], [AbsenttLastRun])
SELECT 0, N'Not Running', N'1900-01-01 00:00', 0, N'00:00', N'Not Running', N'1900-01-01 00:00', 0, N'00:00', N'Not Running', N'1900-01-01 00:00'
GO
Insert Into EmploymentStatus(Status) values('Working')
GO
Insert Into EmploymentStatus(Status) values('Resigned')
GO
